<?php
    include("tde-head-and-foot.php");
    doHeader("Trinity Applications", "Documentation", "Applications");
?>


<UL STYLE="padding-left:1ex;margin-top:2ex">
    <LI><A HREF="#edutainment">Educational and Edutainment Applications</A>: languages, mathematics, science . . .</LI>
    <LI><A HREF="#games">Games</A>: arcade, card, board, kids, strategic</LI>
    <LI><A HREF="#graphics">Graphics Applications</A>: image viewers . . .</LI>
    <LI><A HREF="#internet">Internet Applications</A>: configuration and monitoring, messaging, email . . .</LI>
    <LI><A HREF="#multimedia">Multimedia Applications</A>: audio, video, CD and DVD . . .</LI>
    <LI><A HREF="#office">Office Applications</A>: KOffice, faxes, note taking . . .</LI>
    <LI><A HREF="#development">Software Development Applications</A>: Web development . . .</LI>
    <LI><A HREF="#system">System and Configuration Applications</A>: hardware, monitors and log viewing, package management . . .</LI>
    <LI><A HREF="#utilities">Utilities</A>: accessibility, alternate launchers, file management, phones and devices . . .</LI>
    <LI><A HREF="#toys">Panel Applets and Software Toys</A></LI>
</UL>
<P CLASS="spacer">
<HR>
<P CLASS="spacer">
<H2><A NAME="edutainment">Education and Edutainment</A></H2>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px;">Languages</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>Kanagram: Anagram puzzle game.</LI>
            <LI>KHangMan: Hangman game.</LI>
            <LI>Kiten: Japanese reference/study tool.</LI>
            <LI>KLatin: Latin reviser and trainer.</LI>
            <LI>KLettres: Learn alphabets. Designed to help users learn the alphabet in a new language and to read 
                simple syllables. Eleven languages are supported: Czech, Danish, Dutch, English, French, Italian, 
                Luganda, Romanized Hindi, Spanish, Slovak and German.</LI>
            <LI>Kverbos: Study Spanish verb forms.</LI>
            <LI>KVocTrain: Vocabulary trainer.</LI>
            <LI>KWordQuiz: Vocabulary trainer.</LI>
        </UL>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">Mathematics</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>KBruch: Practice calculating fractions.</LI>
            <LI>Kig: Interactive geometry trainer.</LI>
            <LI>KmPlot: Mathematical function plotter.</LI>
            <LI>KPercentage: Practice calculating percentages.</LI>
        </UL>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">Miscellaneous</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>Bibletime: Bible study program.</LI>
            <LI>Blinken: Simon Says electronic memory game.</LI>
            <LI>KEduca-editor: Tests and exams editor.</LI>
            <LI>KEduca: Tests and exams.</LI>
            <LI>KGeography: Geography trainer.</LI>
            <LI>KTouch: Touch typing tutor.</LI>
            <LI>KTurtle: Logo programming environment trainer.</LI>
        </UL>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">Science</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>Kalzium: Periodic Table of Elements viewer. Search for information about the elements or to learn 
                facts about the periodic table.</LI>
            <LI>KStars: Desktop planetarium. Depicts an accurate simulation of the night sky, including stars, 
                constellations, star clusters, nebulae, galaxies, all planets, the Sun, the Moon, comets and asteroids. 
                View the night sky from any location on Earth, on any date. The user interface is intuitive and flexible. 
                The display can be panned and zoomed with the mouse. Easily identify objects and track their motion across 
                the sky.</LI>
        </UL>
<P CLASS="spacer">
<HR>
<P CLASS="spacer">
<H2><A NAME="games">Games</A></H2>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">Arcade</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>KAsteroids: A clone of the popular <A HREF="http://en.wikipedia.org/wiki/Asteroids_%28video_game%29">Asteroids</A> game.</LI>
            <LI>KBounce: Bouncing ball game.</LI>
            <LI>KFoulEggs: Japanese PuyoPuyo-like (Tetris-like) game.</LI>
            <LI>KGoldrunner: Action and puzzle solving game. Run through the maze, dodge your enemies, collect all the 
                gold, and climb to the next level.</LI>
            <LI>Kolf: Miniature golf.</LI>
            <LI>KSirtet: <A HREF="http://en.wikipedia.org/wiki/Tetris">Tetris</A>-like game.</LI>
            <LI>KSmileTris: Tetris-like game.</LI>
            <LI>KSnakeRace: Snake race game. A game of speed and agility. Try to eat all the apples in the room before 
                getting out!.</LI>
            <LI>KSpaceDuel: Space arcade game.</LI>
            <LI>KTron: A simple clone of the Tron light-cycle racing game, which you can play alone or against a friend.</LI>
        </UL>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">Board</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>Atlantik: <A HREF="http://en.wikipedia.org/wiki/Monopoly_%28game%29">Monopoly&reg;</A>-like board game. Comes with a board designer.</LI>
            <LI>KBackgammon: Backgammon game. A graphical backgammon program, supporting games with other local players, 
                against computers, and online on the First Internet Backgammon Server.</LI>
            <LI>KBlackBox: A "hide and seek" logic game of shooting rays into a black box to locate hidden atoms.</LI>
            <LI>Kenolaba: <A HREF="http://en.wikipedia.org/wiki/Abalone_%28board_game%29">Abalone</A>-like board game.</LI>
            <LI>KMahjongg: Mahjongg-like tile game. A game similar to the famous oriental game Mahjongg.</LI>
            <LI>Knights: Chess.</LI>
            <LI>KReversi: Reversi board game.</LI>
            <LI>Shisen-Sho: Shisen-Sho tile game. A game similar to Mahjongg.</LI>
            <LI>TWin4: A four-in-a-row strategy game.</LI>
        </UL>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">Card</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>KPoker: Poker card game.</LI>
            <LI>Lieutenant Skat: card game.</LI>
            <LI>KPatience: Solitaire card games.</LI>
        </UL>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">Kids</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>Potato Guy: game for small children. Similar to the famous Mr. Potato Head toy.</LI>
        </UL>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">Tactics and Strategy</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>KAtomic: Implementation of the Japanese warehouse-keeper puzzle/logic game Sokoban.</LI>
            <LI>KBattleship: A network-enabled implementation of <A HREF="http://en.wikipedia.org/wiki/Battleship_%28game%29">Battleship</A>.</LI>
            <LI>KJumpingCube: A simple tactical game you can play against a friend or the computer.</LI>
            <LI>Klickety: board game. An adaption of <A HREF="http://en.wikipedia.org/wiki/Clickomania">Clickomania</A>, 
                itself a SameGame clone with a modified ruleset.</LI>
            <LI>KMines: A version of the classic game <A HREF="http://en.wikipedia.org/wiki/Minesweeper_%28video_game%29">Minesweeper</A>.</LI>
            <LI>KNetwalk: Network construction game.</LI>
            <LI>Kolor Lines: Line up coloured tokens in order to eliminate them. Simple, but addictive. Multiple 
                difficulty levels.</LI>
            <LI>Konquest: Galactic strategy game.</LI>
            <LI>KSokoban: Sokoban game.</LI>
            <LI>Samegame: Like Klickety, this is a descendant of Kuniaki Moribe's game Chain Shot!, from the mid-80s.
                The scoring rules are different from Klickety's and closer to the original.</LI>
        </UL>
<P CLASS="spacer">
<HR>
<P CLASS="spacer">
<H2><A NAME="graphics">Graphics</A></H2>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">Image Viewers</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>Gwenview: Image viewer.</LI>
            <LI>KSquirrel: Image viewer.</LI>
            <LI>Kuickshow: Image viewer and browser.</LI>
            <LI>KView: A small and fast image viewer with some simple image processing commands. Works with many graphics 
                file formats. Not a full-fledged image processor, but sufficient for many everyday tasks.</LI>
            <LI>ShowFoto: Photo viewer and editor.</LI>
        </UL>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">Miscellaneous</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>Chalk: Photo retouching, image editing, and paint application. Part of KOffice.</LI>
            <LI>Digikam: Photo management.</LI>
            <LI>Kamera: View and download images from a digital camera.</LI>
            <LI>Karbon14: Scalable (vector) graphics editor. Part of KOffice.</LI>
            <LI>KColorChooser: Color chooser.</LI>
            <LI>KColorEdit: Color palette editor.</LI>
            <LI>KDVI: DVI viewer.</LI>
            <LI>Kipi-Plugins: Image plugin interface.</LI>
            <LI>KolourPaint: An easy-to-use paint program.</LI>
            <LI>Kooka: Scan and OCR program.</LI>
            <LI>KPovModeler: Povray modeler.</LI>
            <LI>KRuler: Screen ruler. Used to measure objects on the screen.</LI>
            <LI>KSnapshot: Screen capture program. Capable of capturing images of the desktop, a single window, a section 
                of a window or a selected region. Images may be saved in a variety of formats.</LI>
            <LI>Potracegui: Potrace and autotrace frontend.</LI>
            <LI>TDEFontView: Font viewer.</LI>
            <LI>TDEIconEdit: Icon editor. To help create icons using the standard icon palette.</LI>
        </UL>
<P CLASS="spacer">
<HR>
<P CLASS="spacer">
<H2><A NAME="internet">Internet</A></H2>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">Configuration and Connection Monitoring</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>Kleopatra: A tool for managing X.509 certificates.</LI>
            <LI>KMyFirewall: IPTables firewall configuration tool.</LI>
            <LI>KNemo: Network monitor.</LI>
            <LI>KNetload: Network load meter.</LI>
            <LI>KNetStats: Network monitor. A simple KDE network monitor to show rx/tx LEDs of any network interface on 
                a system tray icon.</LI>
            <LI>KNmap: An Nmap frontend.</LI>
            <LI>KPPP: Internet dial-up tool frontend for the ppp daemon.</LI>
            <LI>KPPPLogview: Internet dial-up tool log viewer.</LI>
            <LI>KVPNc: A VPN client.</LI>
            <LI>KWiFimanager: Wireless network manager. Used to configure and monitor wireless LAN cards.</LI>
            <LI>TDENetworkmanager: Networkmanager daemon frontend.</LI>
            <LI>TorK: TOR frontend.</LI>
            <LI>WLAssistant: Wireless network manager.</LI>
        </UL>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">Email-Related</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>KBiff: Email frontend to biff.</LI>
            <LI>KMail: Mail client.</LI>
            <LI>Korn: A system tray applet that keeps track of new mail.</LI>
            <LI>KSig: Signature editor. Designed to graphically manage multiple email signatures.</LI>
            <LI>KShowmail: An email viewer.</LI>
            <LI>KTnef: Viewer for Microsoft Outlook/Exchange TNEF attachment files.</LI>
        </UL>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">Messaging and IRC</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>Konversation: IRC client.</LI>
            <LI>Kopete: A multi-protocol instant messenger client.</LI>
            <LI>KSirc: IRC client.</LI>
            <LI>KTalkd: An enhanced talk daemon to handle incoming talk requests, announce them, and allow users to 
                respond using a talk client.</LI>
            <LI>KVirc: IRC client.</LI>
        </UL>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">Miscellaneous</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>Akregator: RSS feed reader.</LI>
            <LI>Kasablanca: An FTP client.</LI>
            <LI>KDict: A graphical client for the DICT protocol, enabling users to search through online dictionary 
                databases.</LI>
            <LI>KFTPGrabber: An FTP client.</LI>
            <LI>KGet: An internet download manager.</LI>
            <LI>KNetAttach: Network folder wizard.</LI>
            <LI>KNewsTicker: An RSS news ticker applet for the panel.</LI>
            <LI>KNode: Usenet news reader.</LI>
            <LI>Konqueror: Web browser.</LI>
            <LI>Kontact: Personal information manager.</LI>
            <LI>Krdc: Remote desktop connection. A client application to view or control the desktop session on another 
                machine running a compatible (VNC) server.</LI>
            <LI>Krfb: Desktop sharing server application to share a current session with a user on another machine, who 
                can use a VNC client to view or control the desktop.</LI>
            <LI>KTorrent: BitTorrent client.</LI>
            <LI>SMB4k: Browser for Windows-style network shares.</LI>
            <LI>TDEWallet: Password manager. The wallet subsytem provides a convenient and secure way to manage passwords.</LI>
        </UL>
<P CLASS="spacer">
<HR>
<P CLASS="spacer">
<H2><A NAME="multimedia">Multimedia</A></H2>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">Audio Creators and Players</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>Amarok: Audio player and manager supporting cover art, CDDB, visual effects, and more.</LI>
            <LI>JuK: Music player jukebox, tagger, and music collection manager.</LI>
            <LI>KRec: Recording tool. Record any sound coming in or out of the computer. Some effects for dynamics are 
                implemented as well as the possibility to play what is recorded.</LI>
            <LI>KStreamripper: Internet radio streamer.</LI>
            <LI>Noatun: Plugin-based media player.</LI>
            <LI>Rosegarden: Music composition and editing. An audio and MIDI sequencer and musical notation editor.</LI>
            <LI>Soundkonverter: Audio converters frontend.</LI>
            <LI>TDEMid: Midi/Karaoke player.</LI>
            <LI>TDERadio: AM/FM radio frontend.</LI>
        </UL>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">CD and DVD Utilities</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>K3b: CD and DVD burning. A CD and DVD burning application with a comfortable user interface.</LI>
            <LI>K9Copy: Video DVD backup tool.</LI>
            <LI>KAudioCreator: an audio CD ripper.</LI>
            <LI>KsCD: A small, fast, CDDB enabled audio CD player.</LI>
        </UL>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">Miscellaneous</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>Arts:  Our audio server. The name stands for Analog Real-Time Synthesizer.</LI>
            <LI>KMix:  Sound mixer for changing the sound card volume.</LI>
        </UL>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">Video Players</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>Kaboodle: A simple media player.</LI>
            <LI>Kaffeine: Media player.</LI>
            <LI>KMplayer: Media player.</LI>
        </UL>
<P CLASS="spacer">
<HR>
<P CLASS="spacer">
<H2><A NAME="office">Office</A></H2>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">Faxes</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>KFax: Fax viewer.</LI>
            <LI>KFaxView: Fax viewer.</LI>
            <LI>TDEPrintFax: Fax utility.</LI>
        </UL>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">KOffice Suite</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>Chalk: Photo retouching, image editing, and paint application.</LI>
            <LI>Karbon14: Scalable graphics drawing editor.</LI>
            <LI>KBibTex: Bibliography manager.</LI>
            <LI>KChart: Chart and graph creator. Supports bar graphs, line plots, pie charts, ring charts, and more.</LI>
            <LI>Kexi: Database creator and manager.</LI>
            <LI>KFormula: Formula editor.</LI>
            <LI>Kivio: Flowchart and diagram editing.</LI>
            <LI>KPlato: Project management and planning.</LI>
            <LI>KPresenter: Slide presentations.</LI>
            <LI>KSpread: Spreadsheets.</LI>
            <LI>Kugar: Database report generator.</LI>
            <LI>KWord: Word processing and simple desktop publishing.</LI>
        </UL>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">Miscellaneous</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>KAddressBook: Address book manager.</LI>
            <LI>KAlarm: Personal Alarm scheduler.</LI>
            <LI>KArm: Personal Time tracker.</LI>
            <LI>KBarcode: Barcode and label printing.</LI>
            <LI>KDict: Online dictionary.</LI>
            <LI>KGhostView: Ghostview PS/PDF viewer frontend.</LI>
            <LI>Kile: Integrated LaTeX environment editor.</LI>
            <LI>KMail: Mail client.</LI>
            <LI>KMyMoney: Personal finance manager.</LI>
            <LI>KonsoleKalendar: A command line interface to TDE calendars.</LI>
            <LI>Kontact: Personal information manager.</LI>
            <LI>KOrganizer: Personal organizer.</LI>
            <LI>KPDF: PDF viewer.</LI>
            <LI>KThesaurus: Thesaurus.</LI>
        </UL>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">Note Taking</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>Basket: Note-taking application.</LI>
            <LI>KJots: A small program for organizing miscellaneous notes.</LI>
            <LI>KNotes: Sticky popup notes.</LI>
            <LI>KNowit: Tree-like note manager to help keep, edit and maintain notes.</LI>
        </UL>
<P CLASS="spacer">
<HR>
<P CLASS="spacer">
<H2><A NAME="development">Software Development</A></H2>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">Miscellaneous</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>Cervisia: CVS frontend.</LI>
            <LI>Kate: Advanced text editor with syntax highlighting and much more.</LI>
            <LI>KBabel: Translation tool, with a dictionary and a catalog manager.</LI>
            <LI>KBugBuster: TDE bug management.</LI>
            <LI>KDbg: Debugging frontend.</LI>
            <LI>KDcop: A program to browse available dcop functions of any app.</LI>
            <LI>KDiff3: Diff/Patch frontend. A file and directory diff and merge tool that compares and merges two or 
                three text input files or directories.</LI>
            <LI>KHexEdit: A hexidecimal and binary editor.</LI>
            <LI>Kommander: Dynamic dialog editor.</LI>
            <LI>Kompare: Diff/Patch frontend to view the differences between files and directories.</LI>
            <LI>Konstruct: Build system frontend.</LI>
            <LI>KPicosim: Xilinx PicoBlaze-3 simulator.</LI>
            <LI>KScope: source editing environment.</LI>
            <LI>KTechlab: Electronic circuit and microcontroller integrated development environment.</LI>
            <LI>KUIviewer: TQt3 designer user interface viewer.</LI>
            <LI>Piklab: PIC and dsPIC integrated development environment. Based on Microchip PIC and dsPIC 
                microcontrollers similar to the MPLAB environment. Support for several compiler and assembler 
                toolchains is integrated. The ICD2 debugger, the PICkit1 and PICkit2 programmers, and most direct 
                programmers are supported. A command-line programmer "piklab-prog" is also available.</LI>
            <LI>TDECachegrind: Profiler frontend.</LI>
            <LI>TDESVN: SVN client.</LI>
            <LI>TDevelop: An integrated software development environment, with a documentation viewer and a GUI designer.</LI>
            <LI>Umbrello: Helps software development by using the industry standard Unified Modelling Language (UML) to 
                create diagrams for designing and documenting software systems.</LI>
        </UL>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">Web Development</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>KImageMapEditor: HTML image map editor.</LI>
            <LI>KLinkStatus: Web page link checker.</LI>
            <LI>Quanta Plus: Integrated web development environment. Supports many markup languages and popular web-based 
                scripting languages, and CSS.</LI>
            <LI>KXSLDbg: XSLT debugger. A tool intended to help understand stylesheets. Can search for items of interest 
                and trace stylesheet execution.</LI>
        </UL>
<P CLASS="spacer">
<HR>
<P CLASS="spacer">
<H2><A NAME="system">System</A></H2>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">Hardware</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>IRKick: LIRC server.</LI>
            <LI>KNutclient: Network UPS tool frontend.</LI>
            <LI>KwikDisk: File device manager utility.</LI>
            <LI>TDElirc: Infrared remote control frontend to Linux Infrared Remote Control (LIRC).</LI>
            <LI>TDEPowersave: Power management frontend. A utility used to set power consumption and conservation options.</LI>
            <LI>TDEPrinter: Printer interface.</LI>
            <LI>TDERandRTray: Screen resize and rotate.</LI>
        </UL>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">Miscellaneous</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>Gtk-Qt Theme Engine: Apply TDE settings to GTK apps.</LI>
            <LI>Kappfinder: Menu updating tool.</LI>
            <LI>KCron: Task scheduler frontend to cron.</LI>
            <LI>KFontinst: Font installer.</LI>
            <LI>KGtk-Qt3: TDE Dialogs in GTK apps.</LI>
            <LI>KioskTool: An kiosk-like administration tool providing system administrators an easy way to 
                predefine desktop configurations for groups of users, lock settings, or otherwise restrict features 
                of the Trinity Desktop Environment.</LI>
            <LI>KMenuedit: System menu editor.</LI>
            <LI>KPersonalizer: Desktop settings wizard.</LI>
            <LI>KSysV: A graphical editor for SysV style init scripts.</LI>
            <LI>KUser: User and group account manager frontend.</LI>
            <LI>TDESU: Su frontend.</LI>
            <LI>TDESUDO: Sudo frontend.</LI>
            <LI>TDM: Login manager.</LI>
            <LI>TDE-Guidance: System administration tools.</LI>
        </UL>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">Monitors and Log Viewing</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>KCPUload: CPU load display. A simple CPU meter that graphs a recent history of CPU usage in the system 
                tray, supporting SMP and separate user/system loads.</LI>
            <LI>Kima: Sensor monitoring.</LI>
            <LI>KJobViewer: Print job viewer.</LI>
            <LI>KSysGuard: Performance monitor. A network enabled task manager and system monitor application, with the 
                additional functionality of application.</LI>
            <LI>KSystemLog: System log viewer.</LI>
            <LI>KWatchGnuPG: A simple gnupg log viewer.</LI>
        </UL>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">Package Management</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>Adept: Advanced Packaging Tool (APT) frontend for Debian-descended distributions.</LI>
            <LI>Kdpkg: Debian package installer frontend.</LI>
            <LI>KPackage: Package manager frontend for Debian, Slackware and BSD packages.</LI>
        </UL>
<P CLASS="spacer">
<HR>
<P CLASS="spacer">
<H2><A NAME="utilities">Utilities</A></H2>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">Accessibility</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>KMag: Screen magnifier. Magnifies a part of the screen like a magnifying glass.</LI>
            <LI>KMousetool: Automatic mouse button clicker for people with repetitive strain injuries (RSI).</LI>
            <LI>KMouth: Speech synthesizer frontend.</LI>
            <LI>KSayIt: Text-to-Speech frontend.</LI>
            <LI>Kttsmgr: Text-to-Speech manager.</LI>
            <LI>KVKbd: Virtual keyboard.</LI>
            <LI>Kxkb: A keyboard layout switching utility based on X11 xkb extension.</LI>
        </UL>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">Alternate Menus and Launchers</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>Katapult: Application and bookmark launcher. An application designed to provide quick and easy access to 
                applications, bookmarks, music and more.</LI>
            <LI>Kbfx: Alternate system menu.</LI>
        </UL>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">Files and File Management</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>Dolphin: File manager.</LI>
            <LI>Filelight: File system viewer. Displays disk usage information, effectively a graphical version of the 
                command line tool, du.</LI>
            <LI>KDat: Tape backup tool.</LI>
            <LI>KDirstat: Graphical disk usage utility, very much like the Unix "du" command, plus some cleanup facilities 
                to reclaim disk space.</LI>
            <LI>KDiskFree: View disk usage viewer.</LI>
            <LI>Keep: Archiving/Backup Tool.</LI>
            <LI>KFind: File finder utility.</LI>
            <LI>Konqueror: Advanced file manager and viewer.</LI>
            <LI>KRrename: Bulk file renamer.</LI>
            <LI>Krusader: An advanced, twin-panel (commander-style) file-manager.</LI>
            <LI>TDEFileReplace: File string search and replace tool.</LI>
        </UL>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">Miscellaneous</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>Abakus: Simple calculator.</LI>
            <LI>Ark: Archiving tool to create and view compressed files.</LI>
            <LI>Kate: Advanced text editor with syntax highlighting and much more.</LI>
            <LI>KBookreader: An e-book reader.</LI>
            <LI>KCalc: Scientific calculator.</LI>
            <LI>KCharSelect: Character selector.</LI>
            <LI>KCHMviewer: CHM Help file viewer. CHM is a compressed HTML format often used by Windows applications.</LI>
            <LI>KControl: Control center.</LI>
            <LI>KEdit: Simple text editor.</LI>
            <LI>Kerry: Beagle desktop search frontend.</LI>
            <LI>KFloppy: A graphical frontend to format 3.5" and 5.25" floppy disks.</LI>
            <LI>KGpg: Encryption tool.</LI>
            <LI>KKBSwitch: Keyboard layout indicator.</LI>
            <LI>Klipper: Clipboard management tool.</LI>
            <LI>Konsole: Terminal emulator.</LI>
            <LI>KPager: Desktop pager to select virtual desktops.</LI>
            <LI>KRecipes: A recipe manager.</LI>
            <LI>KRegExpeditor: Regular expression editor.</LI>
            <LI>KSensors: An lm-sensors frontend.</LI>
            <LI>KShutdown: A system shutdown utility.</LI>
            <LI>KTimer: Countdown launcher.</LI>
            <LI>KTip: Useful tips.</LI>
            <LI>KWorldClock: World clock.</LI>
            <LI>KWrite: Text editor with syntax highlighting.</LI>
            <LI>Tellico: Collection manager. Usefully organize collections of anything from books to trading cards to wines!</LI>
            <LI>Yakuake: Drop-down terminal emulator.</LI>
        </UL>
    <H3 STYLE="margin-left:2ex;padding-bottom:0px;margin-bottom:0px">Phones and Devices</H3>
        <UL STYLE="padding-top:5px;margin-top:0px">
            <LI>Kandy: Mobile phone tool. For synchronizing the data on a mobile phone with the data on the desktop.</LI>
            <LI>KMobile: Manage mobile devices.</LI>
            <LI>KPalmDOC: PalmDOC converter.</LI>
            <LI>KPilot: PalmOS handheld synchronizer.</LI>
        </UL>
<P CLASS="spacer">
<HR>
<P CLASS="spacer">
<H2><A NAME="toys">Panel Applets and Software Toys</A></H2>
    <UL STYLE="padding-top:5px;margin-top:0px">
        <LI>AMOR: On-Screen creature ("Amusing Misuse Of Resources".)</LI>
        <LI>KCPUload: CPU load display. A simple CPU meter that graphs a recent history of CPU usage in the system tray,supporting SMP and separate user/system loads.</LI>
        <LI>KMoon: An applet that shows the current phase of the moon.</LI>
        <LI>KNetstats: Network monitor. A simple KDE network monitor to show rx/tx LEDs of any network interface on a system tray icon.</LI>
        <LI>KNewsTicker: An RSS news ticker applet for the panel.</LI>
        <LI>Kodo: Mouse odometer.</LI>
        <LI>Korn: A system tray applet that keeps track of new mail.</LI>
        <LI>KTeaTime: Tea cooker timer.</LI>
        <LI>KWeather: An applet to display the current weather data in any area.</LI>
        <LI>Superkaramba: Interactive eye-candy tool. A tool to create interactive widgets on the desktop.</LI>
    </UL>

<?php
    doFooter();
?>
