<?php

// (c) 2014 Trinity Desktop Project
// All Rights Reserved
// Authors: Elizabeth Liddell, Timothy Pearson, and Calvin Morrison

$path = '../';
set_include_path(get_include_path() . PATH_SEPARATOR . $path);

include("tde-head-and-foot.php");
doHeader("Supported RFEs", "Development", "Supported RFEs");

?>

<B>Community Supported Requests For Enhancement [RFE]</B>
<P>
The following RFEs are currently open and available for editing<BR>
<I>No work has started.  Pending approval of developer(s) sponsoring the RFE.</I><BR>
<P>

<TABLE BORDER=1 WIDTH="100%">
    <TR>
	<TD WIDTH="10%">Title</TD>
	<TD WIDTH="40%">Description</TD>
	<TD>Specification</TD>
	<TD>Bounty</TD>
	<TD>Sponsoring Developer(s)</TD>
	<TD WIDTH="10%">Comments</TD>
	<TD WIDTH="10%">Status</TD>
    </TR>
    <TR>		<TD>KMail HTML</TD>		<TD>Add basic HTML editing and inline image support to Trinity KMail</TD>		<TD><A HREF="https://wiki.trinitydesktop.org/DevelopmentSpecificationsKMailHTMLEdit">Locked<BR>Specification<BR>[Click for Software Details]</A></TD>		<TD>$3,500.00</TD>		<TD><TABLE><TR><TD COLSPAN=2>Timothy Pearson</TD></TR><TR><TD>-&nbsp</TD><TD>Trinity Project Lead Developer</TD></TR><TR><TD>-&nbsp</TD><TD><A HREF="mailto:kb9vqf@pearsoncomputing.net">kb9vqf@pearsoncomputing.net</A></TD></TR></TABLE>		</TD>		<TD>PRELIMINARY</TD><TD><TABLE WIDTH="90%">		<TR><TD ALIGN=CENTER COLSPAN=2><TABLE WIDTH="100%" BORDER=0 CELLPADDING=0 CELLSPACING=0><TR><TD BGCOLOR=ORANGE WIDTH="8.5714285714286%">&nbsp</TD><TD BGCOLOR=LIGHTGRAY WIDTH="91.428571428571%">&nbsp</TD></TR></TABLE></TD></TR>		<TR><TD ALIGN=CENTER COLSPAN=2><TABLE WIDTH="100%" BORDER=0 CELLPADDING=0 CELLSPACING=0><TR><TD BGCOLOR=LIMEGREEN WIDTH="0%">&nbsp</TD><TD BGCOLOR=LIGHTGRAY WIDTH="100%">&nbsp</TD></TR></TABLE></TD></TR><TR><TD>Pledged: $300.00</TD></TR><TR><TD>Collected: $0.00</TD></TR></TABLE></TD>	</TR>	<TR>		<TD>KMail HTML<BR>KDE4 Port</TD>		<TD>Port KMail HTML support to KDE4<BR>
Depends on "KMail HTML" RFE completion</TD>		<TD><A HREF="https://wiki.trinitydesktop.org/DevelopmentSpecificationsKMailHTMLEditPortKDE4">Editable<BR>Specification**</A></TD>		<TD>$3,000.00</TD>		<TD><TABLE><TR><TD COLSPAN=2>Timothy Pearson</TD></TR><TR><TD>-&nbsp</TD><TD>Trinity Project Lead Developer</TD></TR><TR><TD>-&nbsp</TD><TD><A HREF="mailto:kb9vqf@pearsoncomputing.net">kb9vqf@pearsoncomputing.net</A></TD></TR></TABLE>		</TD>		<TD>PRELIMINARY</TD><TD><TABLE WIDTH="90%">		<TR><TD ALIGN=CENTER COLSPAN=2><TABLE WIDTH="100%" BORDER=0 CELLPADDING=0 CELLSPACING=0><TR><TD BGCOLOR=ORANGE WIDTH="0%">&nbsp</TD><TD BGCOLOR=LIGHTGRAY WIDTH="100%">&nbsp</TD></TR></TABLE></TD></TR>		<TR><TD ALIGN=CENTER COLSPAN=2><TABLE WIDTH="100%" BORDER=0 CELLPADDING=0 CELLSPACING=0><TR><TD BGCOLOR=LIMEGREEN WIDTH="0%">&nbsp</TD><TD BGCOLOR=LIGHTGRAY WIDTH="100%">&nbsp</TD></TR></TABLE></TD></TR><TR><TD>Pledged: $0.00</TD></TR><TR><TD>Collected: $0.00</TD></TR></TABLE></TD>	</TR></TABLE>

<div class="section" id="finished">
<TABLE WIDTH="100%">
<TR>
<TD>
&nbsp<BR>
The following RFEs have been finalized<BR>
<I>Implementation is in progress or has been completed.  No further changes to the specification are permitted.</I><BR>
<P>
<TABLE BORDER=1 WIDTH="100%">
    <TR>
	<TD WIDTH="10%">Title</TD>
	<TD WIDTH="40%">Description</TD>
	<TD>Specification</TD>
	<TD>Bounty</TD>
	<TD>Sponsoring Developer(s)</TD>
	<TD WIDTH="10%">Comments</TD>
	<TD WIDTH="10%">Status</TD>
    </TR>
	<TR>		<TD>kcmldap</TD>		<TD>A Control Center module to manage workstation bonding in an LDAP/Kerberos Realm<BR>
<p>Packaged for and tested on Debian/Ubuntu.  This software is not guaranteed to be functional on other distributions.<BR><FONT COLOR=RED><p>Bounty offer will expire Sun, 31 Mar 2013 19:00:00 -0500</FONT></TD>		<TD><A HREF="https://wiki.trinitydesktop.org/DevelopmentSpecificationsKCMLDAP">Locked<BR>Specification<BR>[Click for Software Details]</A></TD>		<TD>$2,500.00</TD>		<TD><TABLE><TR><TD COLSPAN=2>Timothy Pearson</TD></TR><TR><TD>-&nbsp</TD><TD>Trinity Project Lead Developer</TD></TR><TR><TD>-&nbsp</TD><TD><A HREF="mailto:kb9vqf@pearsoncomputing.net">kb9vqf@pearsoncomputing.net</A></TD></TR></TABLE>		</TD>		<TD>TESTED/<BR>READY TO RELEASE*</TD><TD><TABLE WIDTH="90%">		<TR><TD ALIGN=CENTER COLSPAN=2><TABLE WIDTH="100%" BORDER=0 CELLPADDING=0 CELLSPACING=0><TR><TD BGCOLOR=LIMEGREEN WIDTH="2%">&nbsp</TD><TD BGCOLOR=LIGHTGRAY WIDTH="98%">&nbsp</TD></TR></TABLE></TD></TR><TR><TD>Collected: $50.00</TD></TR></TABLE></TD>	</TR>	<TR>		<TD>kcmldapcontroller</TD>		<TD>A Control Center module to create and manage an LDAP/Heimdal Kerberos realm<BR>
<p>Packaged for and tested on Debian/Ubuntu.  This software is not guaranteed to be functional on other distributions.<BR><FONT COLOR=RED><p>Bounty offer will expire Sun, 31 Mar 2013 19:00:00 -0500</FONT></TD>		<TD><A HREF="https://wiki.trinitydesktop.org/DevelopmentSpecificationsKCMLDAPController">Locked<BR>Specification<BR>[Click for Software Details]</A></TD>		<TD>$4,000.00</TD>		<TD><TABLE><TR><TD COLSPAN=2>Timothy Pearson</TD></TR><TR><TD>-&nbsp</TD><TD>Trinity Project Lead Developer</TD></TR><TR><TD>-&nbsp</TD><TD><A HREF="mailto:kb9vqf@pearsoncomputing.net">kb9vqf@pearsoncomputing.net</A></TD></TR></TABLE>		</TD>		<TD>TESTED/<BR>READY TO RELEASE*</TD><TD><TABLE WIDTH="90%">		<TR><TD ALIGN=CENTER COLSPAN=2><TABLE WIDTH="100%" BORDER=0 CELLPADDING=0 CELLSPACING=0><TR><TD BGCOLOR=LIMEGREEN WIDTH="0%">&nbsp</TD><TD BGCOLOR=LIGHTGRAY WIDTH="100%">&nbsp</TD></TR></TABLE></TD></TR><TR><TD>Collected: $0.00</TD></TR></TABLE></TD>	</TR>	<TR>		<TD>kcmldapmanager</TD>		<TD>A Control Center module to manage users, groups, workstations, and services in an LDAP/Heimdal Kerberos realm<BR>
<p>Packaged for and tested on Debian/Ubuntu.  This software is not guaranteed to be functional on other distributions.<BR><FONT COLOR=RED><p>Bounty offer will expire Sun, 31 Mar 2013 19:00:00 -0500</FONT></TD>		<TD><A HREF="https://wiki.trinitydesktop.org/DevelopmentSpecificationsKCMLDAPManager">Locked<BR>Specification<BR>[Click for Software Details]</A></TD>		<TD>$4,000.00</TD>		<TD><TABLE><TR><TD COLSPAN=2>Timothy Pearson</TD></TR><TR><TD>-&nbsp</TD><TD>Trinity Project Lead Developer</TD></TR><TR><TD>-&nbsp</TD><TD><A HREF="mailto:kb9vqf@pearsoncomputing.net">kb9vqf@pearsoncomputing.net</A></TD></TR></TABLE>		</TD>		<TD>TESTED/<BR>READY TO RELEASE*</TD><TD><TABLE WIDTH="90%">		<TR><TD ALIGN=CENTER COLSPAN=2><TABLE WIDTH="100%" BORDER=0 CELLPADDING=0 CELLSPACING=0><TR><TD BGCOLOR=LIMEGREEN WIDTH="0%">&nbsp</TD><TD BGCOLOR=LIGHTGRAY WIDTH="100%">&nbsp</TD></TR></TABLE></TD></TR><TR><TD>Collected: $0.00</TD></TR></TABLE></TD>	</TR></TABLE>
<P>
</TD>
</TR>
</TABLE>
<div class="section" id="faq">
<TABLE WIDTH="100%">
<TR>
<TD>
&nbsp
<BR>
<B>Frequently Asked Questions</B><P>
<I>Why do I have to pay for new features?  Isn't the Trinity Desktop Environment free software?</I><BR>
As most Free Open Source Software projects are built and maintained in software developer(s) free time, only those features that are of interest to the developer(s) are generally implemented when the developer(s) are left to themselves.  You do not need pay for a new feature.  If you would like, you may try to implement it yourself by modifying the source code that comprises the Trinity Desktop Environment.<P>If you are unable to implement the feature yourself for any reason, and the Trinity development team is not actively working on the feature, you have an alternative.  By offering monetary support to a sponsoring developer, you allow that developer to allocate more time to work on the Trinity project, specifically on the feature that you would like to see implemented.
<P>As hiring a software engineer can be expensive, the Trinity project has decided to allow many individuals to contribute small amounts towards the feature(s) they would like to see implemented.  At first, no payment is required, only a pledge that you would pay a certain amount if others will also contribute.  When enough pledges are received for a certain feature, we ask that all interested individuals pay their pledge amounts to a third party.  At this point, the sponsoring developer(s) begin working on the feature, and when the feature is complete to the users' satisfaction the payment is released by the third party.  If for any reason the sponsoring developer(s) are unable to complete the feature, all contributors will be reimbursed for their original payment amounts.
<P><FONT COLOR=RED>* The payment system works somewhat differently for precompleted/ready-to-release software.</FONT>  In this case, the developer can place the software up for bounty for a limited time; if the bounty has not been met by the expiration date the software can be removed without release.  You would NOT receive a refund in this case, so you may wish to handle pledges and funds collection/delivery in collaboration with your business, local Linux user's group, or similar third party.
<P>
<I>How will I receive the software once the bounty has been paid?</I><BR>
All software available through the TDE RFE system will be released under a Free and Open Source Software (FOSS) license once the bounty has been paid for that particular software.  For those projects requiring development, you will need to wait for the developer to finish the software before you will be able to download it.  Predeveloped/ready-for-release software will generally be released within a few business days after the bounty has been met.  In all cases a link to the software will be placed on this page when it is available for download.
<P>
<I>How can I contribute?</I><BR>
Please contact Timothy Pearson at <a href="mailto:kb9vqf@pearsoncomputing.net">kb9vqf@pearsoncomputing.net</a> with the name of the feature you wish to sponsor, your name, and the amount you are willing to contribute.
</TD>
</TR>
<TR><TD>&nbsp</TD></TR>
<TR><TD><I>** The editable specifications are locked for new Wiki users as an anti-spam measure.  Please contact Timothy Pearson at <a href="mailto:kb9vqf@pearsoncomputing.net">kb9vqf@pearsoncomputing.net</a> with your registered Wiki name to receive write access to all editable specifications.</I></TD></TR>
</TABLE>
</div>
</div>

<?php
	doFooter();
?>
