<?php
    include("../tde-head-and-foot.php");
    doHeader("Configuring TDE", "Documentation", "FAQ", "../");
?>
<STYLE>
    .question {font-weight:bold;}
    TD {padding-top:10px}
</STYLE>
<table width="100%" class="header"><tbody><tr><td align="left" class="navLeft" width="33%"><a accesskey="p" href="webbrowser.php">Prev</a></td><td align="center" class="navCenter" width="34%"></td><td align="right" class="navRight" width="33%">

		      <a accesskey="n" href="applications.php">Next</a></td></tr></tbody></table>
<p class="chapter" lang="en">
<p class="titlepage">
<p>
<p><h2 class="title"><a name="configure"></a>Chapter 10. Configuring TDE</h2>
<p class="qandaset"><dl><dt>10.1. <a href="configure.php#idm140487997863808">How do I set the language used by TDE?</a></dt><dt>10.2. <a href="configure.php#idm140487997805632">Is there any keyboard switcher for international keyboards for

TDE?</a></dt><dt>10.3. <a href="configure.php#idm140487997800880">How do I replace the standard text login screen with the

TDE login screen?</a></dt><dt>10.4. <a href="configure.php#idm140487997780528">I would like to click the left mouse button anywhere on the

desktop and have the TDE menu displayed.</a></dt><dt>10.5. <a href="configure.php#idm140487997774000">Where do I find additional TDE themes?</a></dt><dt>10.6. <a href="configure.php#idm140487997770320">How do I change MIME Types?</a></dt><dt>10.7. <a href="configure.php#idm140487997760704">TDE (TDM) does not read my .bash_profile.</a></dt><dt>10.8. <a href="configure.php#idm140487997751552">How do I use TrueType fonts in TDE?</a></dt><dt>10.9. <a href="configure.php#idm140487997740752">Is it possible to enter, show, and work with the Euro Symbol in

TDE?</a></dt><dt>10.10. <a href="configure.php#idm140487997734752">How do I run a program at TDE startup?</a></dt><dt>10.11. <a href="configure.php#idm140487997714400">How can I allow more than one user to be logged in a at a time? Can TDE do fast user switching?</a></dt></dl><table border="0" summary="Q and A Set"><col align="left" width="1%"><tbody><tr class="question"><td align="left" valign="top"><a name="idm140487997863808"></a><a name="idm140487997863488"></a><b>10.1.</b></td><td align="left" valign="top"><p>How do I set the language used by TDE?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>First ensure the appropriate tde-i18n language package is installed.</p><p>Thereafter there are two ways to set the language TDE uses in the

messages it will display:</p>
<p class="variablelist"><dl><dt>Using the TDE Control Center</dt><dd><p>Open the TDE Control Center and select

Regional &amp; Accessibility then

Country/Region &amp; Language. You can select your language and location

here. If TDE cannot find a translation in the first language

chosen, it will fall back on the default language. This is usually

(American) English by default.</p>
<p class="note" ><h3 class="title">Note</h3><p>Using the TDE Control Center is the preferred way of choosing

languages in TDE.</p></dd><dt>Using the <code class="envar">LANG</code> environment variable</dt><dd><p>The second method uses the standard locale setting on

your system. To change the language, simply set the environment

variable <code class="envar">LANG</code> accordingly. For example, if your shell

is bash, execute

<strong class="userinput"><code><strong class="command">export</strong> <code class="envar">LANG</code>=de</code></strong>

to set German as the language used.</p></dd></dl></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997805632"></a><a name="idm140487997805312"></a><b>10.2.</b></td><td align="left" valign="top"><p>Is there any keyboard switcher for international keyboards for

TDE?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>

Yes, configure the switcher using the TDE Control Center

Regional &amp; Accessibility-&gt;

Keyboard Layout configuration page.

</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997800880"></a><a name="idm140487997800560"></a><b>10.3.</b></td><td align="left" valign="top"><p>How do I replace the standard text login screen with the

TDE login screen?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top">
<p class="note" ><h3 class="title">Note</h3><p>Your Unix-like distribution might have its own setup tools to

change this (e.g. YaST on SuSE Linux). This will

be the safest way to enable the TDE login screen. However, if for some reason

you do not wish to use these tools, the following instructions might be useful.</p><p>First, ychange to the xdm runlevel (runlevel 5 on

Red Hat and SuSE systems) by editing your

<code class="filename">/etc/inittab</code> file. In the file, there should be

a line saying <strong class="userinput"><code>id:3:initdefault:</code></strong>. Change it to

<strong class="userinput"><code>id:5:initdefault:</code></strong>. At the end of the file,

comment out the following line:

<code class="literal">x:5:respawn:/usr/bin/X11/xdm -nodaemon</code> and

replace it with

<strong class="userinput"><code>x:5:respawn:<em class="replaceable"><code>/opt/trinity/</code></em>bin/tdm

-nodaemon</code></strong>.


<p class="note" ><h3 class="title">Note</h3><p>The location of TDM might differ on your

system.</p></p><p>For changes to take effect immediately, type <strong class="command">init

5</strong> (for Red Hat systems) at the shell prompt.


<p class="caution" ><h3 class="title">Caution</h3><p>It is risky to initiate a graphical login without

checking beforehand whether it works. If it fails to work, you would

be in for a hard time getting back.</p></p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>

For FreeBSD, you should edit the file <code class="filename">/etc/ttys</code>

and change one of the lines that look like

<pre class="programlisting">ttyv8   "/usr/X11R6/bin/xdm -nodaemon"  xterm   off secure</pre>

to instead say <strong class="userinput"><code>ttyv8   "/usr/local/bin/tdm -nodaemon" xterm

off secure</code></strong>.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997780528"></a><a name="idm140487997780208"></a><b>10.4.</b></td><td align="left" valign="top"><p>I would like to click the left mouse button anywhere on the

desktop and have the TDE menu displayed.</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Use the right mouse button to select the desktop. From the popup menu, select

Configure Desktop. From the icon list

select the Behavior icon. Choose the behavior of mouse clicks on the desktop. To have

the TDE menu open from a single left mouse button click, change

the entry labeled Left button to say

Application Menu.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997774000"></a><a name="idm140487997773680"></a><b>10.5.</b></td><td align="left" valign="top"><p>Where do I find additional TDE themes?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Go to <a href="http://www.kde-look.org" target="_top">http://www.kde-look.org</a>.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997770320"></a><a name="idm140487997770000"></a><b>10.6.</b></td><td align="left" valign="top"><p>How do I change MIME Types?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>When using Konqueror, open a Konqueror window and choose

Settings-&gt;Configure

Konqueror. From the icon list select

File Associations. Find the mime type you want to change

(e.g. <code class="literal">text/english</code> or

<code class="literal">image/gif</code>), and set the application preference order

to whatever you want.</p><p>The same thing can be accomplished by using the TDE Control Center

. Select TDE Components-&gt;File Associations.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997760704"></a><a name="idm140487997760384"></a><b>10.7.</b></td><td align="left" valign="top"><p>TDE (TDM) does not read my <code class="filename">.bash_profile</code>.</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>The login managersxdm and TDM do

not run a login shell, so <code class="filename">.profile</code>,

<code class="filename">.bash_profile</code>, etc. are not

sourced. When the user logs in, xdm runs

<strong class="command">Xstartup</strong> as root and then

<strong class="command">Xsession</strong> as user. The normal practice is to add

statements in <code class="filename">Xsession</code> to source the user

profile. Please edit your <code class="filename">Xsession</code> and

<code class="filename">.xsession</code> files.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997751552"></a><a name="idm140487997751232"></a><b>10.8.</b></td><td align="left" valign="top"><p>How do I use TrueType fonts in TDE?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Install TrueType font support into your X Window System configuration.



</p><p>If you have a bunch of TrueType fonts from Microsoft

Windows, edit the <code class="filename">xorg.conf</code> file to get the

fonts from the font folder. Then configure TDE to use these new

fonts with the <code class="filename">Font Administrator</code> utility.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997740752"></a><a name="idm140487997740432"></a><b>10.9.</b></td><td align="left" valign="top"><p>Is it possible to enter, show, and work with the Euro Symbol in

TDE?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Yes. Open the TDE Control Center and select

Regional &amp; Accessibility, then

Keyboard Layout. Select the Xkb Options

tab and enable the Enable xkb options check box. Choose a compose key.

Enable Adding Eurosign to certain keys and select the desired key.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997734752"></a><a name="idm140487997734496"></a><b>10.10.</b></td><td align="left" valign="top"><p>How do I run a program at TDE startup?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>There are several ways to do that. If you want to

run some scripts that set environment variables (for

example, to start <strong class="command">gpg-agent</strong>, <strong class="command">ssh-agent</strong> and others), place the

scripts into <code class="filename">$<code class="envar">TDEHOME</code>/env/</code>. Make sure their names end in

<code class="literal">.sh</code>. $<code class="envar">TDEHOME</code> is

usually a folder named <code class="filename">.trinity</code>

(notice the period at the beginning) in your home

folder. If you want scripts to be executed for all TDE users, you can

put them under <code class="filename">$<code class="envar">TDEDIR</code>/env/</code>, where $<code class="envar">TDEDIR</code> is the prefix TDE is installed (you can find this out using the command

<strong class="userinput"><code><strong class="command">tde-config --prefix</strong></code></strong>).</p><p>If you wish to start a program after TDE has started, you may want to use the

<code class="filename">Autostart</code> folder. To add

entries to the <code class="filename">Autostart</code> folder:


<p class="orderedlist"><ol type="1"><li><p>Open Konqueror.</p></li><li><p>Select Go-&gt;Autostart from the menubar.</p></li><li><p>Right-click in the window view area and select Create New-&gt;File-&gt;Link to

Application</p></li><li><p>Click on the Application tab in

the window that appears and enter the name of the command to run in

the Command text box.</p></li></ol>

</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997714400"></a><a name="idm140487997714080"></a><b>10.11.</b></td><td align="left" valign="top"><p>How can I allow more than one user to be logged in a at a time? Can TDE do fast user switching?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Yes, when starting TDE through the graphical login mode. When starting TDE

from the command line using <code class="filename">startx</code>, then toggle to a different console

to login in.</p><p>To enable more than one user to log in at one time on the same

computer (sometimes referred to as fast user switching)

configure the program that logs you in to allow more than one

session (or, in X Window System terms, display) at a time.</p><p>In TDE, this program is called TDM which stands for TDE

Display Manager. If you are not using TDM as your login screen

then you will need to consult the documentation for the software you are using on how to

accomplish multiple sessions.</p><p>By default, this will be configured at installation time automatically

if TDM supports virtual terminals on your system (currently Linux only).

If it was not configured automatically, consult the TDM manual, section

"Specifying permanent X-Servers".

After modifying tdmrc, you will have to restart TDM; just

invoke <strong class="command">killall -HUP tdm</strong>.</p></td></tr></tbody></table><table width="100%" class="bottom-nav"><tr><td width="33%" align="left" valign="top" class="navLeft"><a href="webbrowser.php">Prev</a></td><td width="34%" align="center" valign="top" class="navCenter"><a href="index.php">Home</a></td><td width="33%" align="right" valign="top" class="navRight"><a href="applications.php">Next</a></td></tr><tr><td width="33%" align="left" class="navLeft">Webbrowsing with Konqueror</td><td width="34%" align="center" class="navCenter"><a href="index.php">Up</a></td><td width="33%" align="right" class="navRight">TDE applications</td></tr></table>
<?php
    doFooter();
?>

