<?php
    include("../tde-head-and-foot.php");
    doHeader("The desktop", "Documentation", "FAQ", "../");
?>
<STYLE>
    .question {font-weight:bold;}
    TD {padding-top:10px}
</STYLE>
<table width="100%" class="header"><tbody><tr><td align="left" class="navLeft" width="33%"><a accesskey="p" href="panel.php">Prev</a></td><td align="center" class="navCenter" width="34%"></td><td align="right" class="navRight" width="33%">

		      <a accesskey="n" href="windowmanager.php">Next</a></td></tr></tbody></table>
<p class="chapter" lang="en">
<p class="titlepage">
<p>
<p><h2 class="title"><a name="desktop"></a>Chapter 6. The desktop</h2>
<p class="qandaset"><dl><dt>6.1. <a href="desktop.php#idm140487998355456">How do I add an application to the desktop?</a></dt><dt>6.2. <a href="desktop.php#idm140487998307136">How do I mount/unmount a device from the desktop?</a></dt><dt>6.3. <a href="desktop.php#idm140487998300816">Where are the icons kept?</a></dt><dt>6.4. <a href="desktop.php#idm140487998295328">How do I launch applications in a particular desktop?</a></dt><dt>6.5. <a href="desktop.php#idm140487998286720">Where do I save my files if I want them to appear directly on

the desktop?</a></dt></dl><table border="0" summary="Q and A Set"><col align="left" width="1%"><tbody><tr class="question"><td align="left" valign="top"><a name="idm140487998355456"></a><a name="idm140487998355136"></a><b>6.1.</b></td><td align="left" valign="top"><p>How do I add an application to the desktop?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Just choose the desired application from the TDE menu and drag and drop it to the Desktop.

</p><p>For applications not listed in the TDE menu,

use the right mouse button on the desktop and choose Create New-&gt;File-&gt;Link to Application... and fill in the configuration for the application you want to link to.

</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998307136"></a><a name="idm140487998306816"></a><b>6.2.</b></td><td align="left" valign="top"><p>How do I mount/unmount a device from the desktop?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>First, make sure you are allowed to <strong class="command">mount</strong>/<strong class="command">umount</strong> the relevant device as a user.

</p><p>Then you can add any device via right mouse button on the desktop and then choosing Create New-&gt;Link to Device and then selecting the device of the type you wish to control from the desktop. Fill in the settings for the device in the dialog that appears and click OK. You can use the resulting desktop icon to mount/unmount the device from the desktop.

</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998300816"></a><a name="idm140487998300496"></a><b>6.3.</b></td><td align="left" valign="top"><p>Where are the icons kept?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>The icons can be found only in <code class="filename">$<code class="envar">TDEDIRS</code>/share/icons</code> or <code class="filename">$<code class="envar">HOME</code>/.trinity/share/icons</code>. To use icons

stored in other locations, you must either copy them into one of the

above-mentioned fixed TDE locations or make symlinks.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998295328"></a><a name="idm140487998295008"></a><b>6.4.</b></td><td align="left" valign="top"><p>How do I launch applications in a particular desktop?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>TDE comes with a program called kstart.

To start an xterm on the second desktop and then activate it use:



<strong class="userinput"><code><strong class="command">kstart</strong> <code class="option">--desktop

2 --activate --window "xterm" </code>xterm</code></strong>.</p><p>Note that the <code class="option">--window</code> option is important. It takes an

argument which is a regular expression matching the title of the window to

apply the settings to.</p><p>Please read <strong class="command">kstart</strong> <code class="option">--help-all</code> for more magic

available with kstart (and there is an abundance).

</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998286720"></a><a name="idm140487998286400"></a><b>6.5.</b></td><td align="left" valign="top"><p>Where do I save my files if I want them to appear directly on

the desktop?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p><code class="filename">$<code class="envar">HOME</code>/Desktop</code>. You might

need to refresh your desktop after you have saved your files.</p></td></tr></tbody></table><table width="100%" class="bottom-nav"><tr><td width="33%" align="left" valign="top" class="navLeft"><a href="panel.php">Prev</a></td><td width="34%" align="center" valign="top" class="navCenter"><a href="index.php">Home</a></td><td width="33%" align="right" valign="top" class="navRight"><a href="windowmanager.php">Next</a></td></tr><tr><td width="33%" align="left" class="navLeft">The panel</td><td width="34%" align="center" class="navCenter"><a href="index.php">Up</a></td><td width="33%" align="right" class="navRight">The window manager</td></tr></table>
<?php
    doFooter();
?>

