<?php
    include("../tde-head-and-foot.php");
    doHeader("The File Manager", "Documentation", "FAQ", "../");
?>
<STYLE>
    .question {font-weight:bold;}
    TD {padding-top:10px}
</STYLE>
<table width="100%" class="header"><tbody><tr><td align="left" class="navLeft" width="33%"><a accesskey="p" href="windowmanager.php">Prev</a></td><td align="center" class="navCenter" width="34%"></td><td align="right" class="navRight" width="33%">

		      <a accesskey="n" href="webbrowser.php">Next</a></td></tr></tbody></table>
<p class="chapter" lang="en">
<p class="titlepage">
<p>
<p><h2 class="title"><a name="filemanager"></a>Chapter 8. The File Manager</h2><p>The default file manager in TDE is Konqueror. Please refer to

the Konqueror Handbook for detailed information.</p>
<p class="qandaset"><dl><dt>8.1. <a href="filemanager.php#idm140487998198336">How can I change the appearance of a folder in

Konqueror?</a></dt><dt>8.2. <a href="filemanager.php#idm140487998151568">How can I do non-anonymous FTP transfers with Konqueror?</a></dt><dt>8.3. <a href="filemanager.php#idm140487998143952">How do I specify the startup folder for Konqueror?</a></dt><dt>8.4. <a href="filemanager.php#idm140487998134960">How do I rename files?</a></dt><dt>8.5. <a href="filemanager.php#idm140487998131888">Where did the delete entry from my right-click context menu go?</a></dt><dt>8.6. <a href="filemanager.php#idm140487998127952">How do I configure the programs that Konqueror uses to

open different types of files?</a></dt><dt>8.7. <a href="filemanager.php#idm140487998118352">When I try to click on a folder in Konqueror, I get the

message: There appears to be a configuration error. You have

associated Konqueror with inode/directory, but it cannot handle this file

type.</a></dt><dt>8.8. <a href="filemanager.php#idm140487998109904">What are %i and

%m parameters in a file's Properties Command line?</a></dt><dt>8.9. <a href="filemanager.php#idm140487998095152">How do I make Konqueror start up without a menu bar?

I can't save a view profile when the menu bar is invisible!</a></dt></dl><table border="0" summary="Q and A Set"><col align="left" width="1%"><tbody><tr class="question"><td align="left" valign="top"><a name="idm140487998198336"></a><a name="idm140487998198016"></a><b>8.1.</b></td><td align="left" valign="top"><p>How can I change the appearance of a folder in

Konqueror?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Right-click the folder, select Properties,

click on the large icon in the dialog which appears, and choose another

icon.</p><p>To change the icon displayed for entries in the

TDE Menu, use the Menu Editor,

located at Settings-&gt;Menu

Editor.

</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998151568"></a><a name="idm140487998151312"></a><b>8.2.</b></td><td align="left" valign="top"><p>How can I do non-anonymous FTP transfers with Konqueror?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Normally, if you enter a URL like

<strong class="userinput"><code>ftp://<em class="replaceable"><code>ftp.somehost.com</code></em></code></strong>,

Konqueror will attempt an anonymous login to the FTP server. If you

want to login as a particular user, enter a URL like

<strong class="userinput"><code>ftp://<em class="replaceable"><code>username@ftp.somehost.com</code></em></code></strong>

instead. Konqueror will ask for your password and connect to the

server.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998143952"></a><a name="idm140487998143632"></a><b>8.3.</b></td><td align="left" valign="top"><p>How do I specify the startup folder for Konqueror?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>With the desktop Home icon, using the right mouse button, select the icon and choose

Properties. Select the

URL tab. Type <code class="filename">/whereever/you/want</code>

with the folder you would like Konqueror to start in.</p><p>From within Konqueror the process is similar. Ensure the Navigation Panel is active

(press <strong class="keycap">F9</strong>). From the Navigation Panel tabs, select the Home icon.

In the Navigation Panel directory, use the right mouse button to select the top level <code class="filename">Home Folder</code> and select Properties.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998134960"></a><a name="idm140487998134704"></a><b>8.4.</b></td><td align="left" valign="top"><p>How do I rename files?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Simply right click on the file and select

Rename or press the keyboard shortcut <strong class="keycap">F2</strong> with a file selected.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998131888"></a><a name="idm140487998131632"></a><b>8.5.</b></td><td align="left" valign="top"><p>Where did the delete entry from my right-click context menu go?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>The Delete context menu entry that bypasses the

Trash can is not displayed by default. To enable that menu option, go to

Settings-&gt;Configure

Konqueror and select

Behaviour in the iconbar to the left. Enable the checkbox

Show 'Delete' context menu entries which bypass the

trashcan.

</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998127952"></a><a name="idm140487998127696"></a><b>8.6.</b></td><td align="left" valign="top"><p>How do I configure the programs that Konqueror uses to

open different types of files?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>In order to configure file associations, you should go to the

KDE Control Center and choose the item File

Associations under the category TDE

Components.</p><p>

Suppose the default PDF viewer is now KGhostView and

you would prefer to use KPDF as a viewer. You

would simply type <strong class="userinput"><code>pdf</code></strong> in the search box at the top of

the dialog, choose pdf in the

application group and move

KPDF up. In the Embedding

tab you can also choose which component other applications will use to

display files (for example, when viewing files in Konqueror or using

Ark's embedded viewer).

</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998118352"></a><a name="idm140487998118032"></a><b>8.7.</b></td><td align="left" valign="top"><p>When I try to click on a folder in Konqueror, I get the

message: There appears to be a configuration error. You have

associated Konqueror with inode/directory, but it cannot handle this file

type.</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Make sure the embedding settings for inode/directory

are correct:


<p class="orderedlist"><ol type="1"><li><p>In Konqueror, go to

Settings-&gt;Configure

Konqueror and then to the File

Associations page.</p></li><li><p>Open

inode-&gt;directory in the tree view.</p></li><li><p>Click on

the

Embedding tab. Make sure that Left Click

Action is set to Show file in embedded

viewer, and by default Icon View (konq_iconview)

is at the top

of Services Preference Order.</p></li></ol>

</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998109904"></a><a name="idm140487998109648"></a><b>8.8.</b></td><td align="left" valign="top"><p>What are <code class="option">%i</code> and

<code class="option">%m</code> parameters in a file's Properties Command line?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>They are used by all TDE applications (since they are implemented in

<code class="classname">TDEApplication</code> and all good TDE programs create a

<code class="classname">TDEApplication</code> object before they even look at the

command line arguments).</p><p>A standard line for a TDE

application looks like this: <strong class="userinput"><code><strong class="command">foo</strong>

<code class="option">... %i %m -caption \"%c\"</code></code></strong>. Pretty confusing,

-but it has been designed in that way so that it can integrate legacy,

non-TDE applications as smoothly as possible. Konqueror, when executing

the line above, will extend the command to

<strong class="userinput"><code><strong class="command"><em class="replaceable"><code>foo</code></em></strong> <code class="option">-icon

something.png -miniicon something_mini.png -caption \"The

Foo\"</code></code></strong>. Both the icon and the mini-icon as well as "The

Foo" are properties defined in the <code class="filename">.desktop</code> file. If

the icons are not defined, they simply default to the executable name

<em class="replaceable"><code>foo</code></em>.</p><p>This way a user can change these things in KMenuEdit for his or her

applications. The <code class="option">-caption</code> option is important, because no

user will accept that the menu item Editor starts

something called kedit-0.9pl4-build47. Instead, users

expect a window called Editor. Furthermore these

names are localized, i.e. an American English user launches

CD-Player and gets a window called

CD-Player while a German user launches

CD-Spieler and gets a window called

CD-Spieler.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998095152"></a><a name="idm140487998094832"></a><b>8.9.</b></td><td align="left" valign="top"><p>How do I make Konqueror start up without a menu bar?

I can't save a view profile when the menu bar is invisible!</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>The easiest way to do this is to edit Konqueror's

configuration file manually. Add the following lines to

<code class="filename">~/.trinity/share/config/konquerorrc</code>:

<pre class="programlisting">

[KonqMainWindow]

MenuBar=Disabled

</pre>

</p><p>On restarting Konqueror, the menubar should be hidden.</p></td></tr></tbody></table><table width="100%" class="bottom-nav"><tr><td width="33%" align="left" valign="top" class="navLeft"><a href="windowmanager.php">Prev</a></td><td width="34%" align="center" valign="top" class="navCenter"><a href="index.php">Home</a></td><td width="33%" align="right" valign="top" class="navRight"><a href="webbrowser.php">Next</a></td></tr><tr><td width="33%" align="left" class="navLeft">The window manager</td><td width="34%" align="center" class="navCenter"><a href="index.php">Up</a></td><td width="33%" align="right" class="navRight">Webbrowsing with Konqueror</td></tr></table>
<?php
    doFooter();
?>

