<?php
    include("../tde-head-and-foot.php");
    doHeader("Getting TDE", "Documentation", "FAQ", "../");
?>
<STYLE>
    .question {font-weight:bold;}
    TD {padding-top:10px}
</STYLE>
<table width="100%" class="header"><tbody><tr><td align="left" class="navLeft" width="33%"><a accesskey="p" href="introduction.php">Prev</a></td><td align="center" class="navCenter" width="34%"></td><td align="right" class="navRight" width="33%">

		      <a accesskey="n" href="install.php">Next</a></td></tr></tbody></table>
<p class="chapter" lang="en">
<p class="titlepage">
<p>
<p><h2 class="title"><a name="getting-tde"></a>Chapter 3. Getting TDE</h2>
<p class="qandaset"><dl><dt>3.1. <a href="getting-tde.php#idm140487998877520">Where do I get TDE?</a></dt><dt>3.2. <a href="getting-tde.php#idm140487998827536">What is the current version?</a></dt><dt>3.3. <a href="getting-tde.php#idm140487998824912">Binary packages are not available for my distro. What do I do?</a></dt><dt>3.4. <a href="getting-tde.php#idm140487998822464">Where do I find TDE snapshots?</a></dt><dt>3.5. <a href="getting-tde.php#idm140487998818448">Where do I get Qt?</a></dt></dl><table border="0" summary="Q and A Set"><col align="left" width="1%"><tbody><tr class="question"><td align="left" valign="top"><a name="idm140487998877520"></a><a name="where-to-get-tde"></a><b>3.1.</b></td><td align="left" valign="top"><p>Where do I get TDE?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>The easiest way to get TDE is to install a Linux based distribution or another Unix-like operating system

that includes TDE.

You can find an up-to-date list of distributions that ship

with TDE <a href="/" target="_top">here</a>.</p><p>The main distribution site for TDE is

<a href="/" target="_top">http://www.trinitydesktop.org/</a>.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998827536"></a><a name="idm140487998827280"></a><b>3.2.</b></td><td align="left" valign="top"><p>What is the current version?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>TDE is developed continually. Find the latest stable version number <a href="/releases.php" target="_top">here</a>.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998824912"></a><a name="idm140487998824656"></a><b>3.3.</b></td><td align="left" valign="top"><p>Binary packages are not available for my distro. What do I do?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>That is always a challenging situation. Are there skilled packagers who

might help? If you are skilled in compiling software from sources, source

tarballs are available for each TDE release (http://www.trinitydesktop.org/releases.php).

The development version can also be built from our GIT source tree. Use the forums

or mailing lists to contact packagers to obtain copies of their build scripts

that can be massaged to fit your distro.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998822464"></a><a name="idm140487998822208"></a><b>3.4.</b></td><td align="left" valign="top"><p>Where do I find TDE snapshots?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Learn more about the latest development snapshots at <a href="/development.php" target="_top">http://www.trinitydesktop.org/development.php</a>.

You might want to consider setting up your own GIT account to

maintain the latest snapshot at all times. Please refer to <a href="/development.php" target="_top">http://www.trinitydesktop.org/development.php</a> for further

information.

</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998818448"></a><a name="where-to-get-qt"></a><b>3.5.</b></td><td align="left" valign="top"><p>Where do I get Qt?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Qt is a product of the Norwegian company Trolltech. The version

upon which TDE is based no longer is actively maintained by Trolltech.

Maintenance is handled by the TDE developers. Get the latest Qt version

from the TDE GIT repository at

<a href="/cgit" target="_top">https://git.trinitydesktop.org/</a>.</p><p>

With most Linux distributions, this version of Qt no longer is

included or maintained and must be obtained from the TDE repositories. Because

this version of Qt is now maintained exclusively to support TDE, the version supported

by TDE developers is not backwards compatible with the original version from Trolltech.</p></td></tr></tbody></table><table width="100%" class="bottom-nav"><tr><td width="33%" align="left" valign="top" class="navLeft"><a href="introduction.php">Prev</a></td><td width="34%" align="center" valign="top" class="navCenter"><a href="index.php">Home</a></td><td width="33%" align="right" valign="top" class="navRight"><a href="install.php">Next</a></td></tr><tr><td width="33%" align="left" class="navLeft">Introduction</td><td width="34%" align="center" class="navCenter"><a href="index.php">Up</a></td><td width="33%" align="right" class="navRight">Installation instructions</td></tr></table>
<?php
    doFooter();
?>

