<?php
    include("../tde-head-and-foot.php");
    doHeader("Introduction", "Documentation", "FAQ", "../");
?>
<STYLE>
    .question {font-weight:bold;}
    TD {padding-top:10px}
</STYLE>
<table width="100%" class="header"><tbody><tr><td align="left" class="navLeft" width="33%"><a accesskey="p" href="about.php">Prev</a></td><td align="center" class="navCenter" width="34%"></td><td align="right" class="navRight" width="33%">

		      <a accesskey="n" href="getting-tde.php">Next</a></td></tr></tbody></table>
<p class="chapter" lang="en">
<p class="titlepage">
<p>
<p><h2 class="title"><a name="introduction"></a>Chapter 2. Introduction</h2>
<p class="qandaset"><dl><dt>2.1. <a href="introduction.php#idm140487999026864">What is TDE?</a></dt><dt>2.2. <a href="introduction.php#idm140488007142368">On which platforms can I expect TDE to work?</a></dt><dt>2.3. <a href="introduction.php#idm140487998950448">Why should I use TDE?</a></dt><dt>2.4. <a href="introduction.php#idm140487998946848">Is TDE a window manager?</a></dt><dt>2.5. <a href="introduction.php#idm140487998940368">Is TDE a CDE, Windows or Mac

OS clone?</a></dt><dt>2.6. <a href="introduction.php#idm140487998932336">On what platform is TDE based?</a></dt><dt>2.7. <a href="introduction.php#idm140487998929824">Is TDE free software?</a></dt><dt>2.8. <a href="introduction.php#idm140487998919136">Why the rebranding and renaming efforts? Why not continue calling the software KDE?</a></dt><dt>2.9. <a href="introduction.php#idm140487998915472">Why the change in version numbers?</a></dt><dt>2.10. <a href="introduction.php#idm140487998912448">How is Trinity different from KDE4?</a></dt></dl><table border="0" summary="Q and A Set"><col align="left" width="1%"><tbody><tr class="question"><td align="left" valign="top"><a name="idm140487999026864"></a><a name="idm140487999026544"></a><b>2.1.</b></td><td align="left" valign="top"><p>What is TDE?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>TDE is the Trinity Desktop Environment. The project was initiated

by Matthias Ettrich in 1996 and originally called the K Desktop Environment.

The aim of the TDE project is to connect the power of the Unix-like operating

systems with the comfort of a modern user interface.</p><p>For additional information about TDE, check the Trinity web site at

<a href="/about.php" target="_top">About Trinity</a></p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140488007142368"></a><a name="platform"></a><b>2.2.</b></td><td align="left" valign="top"><p>On which platforms can I expect TDE to work?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>TDE is a Desktop Environment for all flavors of Unix-like systems.

While most TDE developers use Linux based systems, TDE should run

on a wide range of systems. You might need to tweak the

source code a bit to get TDE to compile on different variant

of Unix-like systems, or when not using the GNU development tools, in

particular the <strong class="command">gcc</strong> compiler.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998950448"></a><a name="idm140487998950128"></a><b>2.3.</b></td><td align="left" valign="top"><p>Why should I use TDE?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>TDE provides a traditional computer desktop that is snappy and

responsive. A project goal is to provide a highly customizable

desktop without forcing any particular feature or effect on users.

TDE comes with many software tools to provide a productive and enjoyable

computer desktop system.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998946848"></a><a name="idm140487998946528"></a><b>2.4.</b></td><td align="left" valign="top"><p>Is TDE a window manager?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>No, TDE is not a window manager. While TDE includes a

sophisticated window manager (TWin), TDE is much more, providing

a full integrated desktop environment. TDE includes a web browser,

a file manager, a window manager, a help system, a

configuration system, many tools and utilities, and many

applications, including but not limited to mail

and news clients, drawing programs, a PDF and a DVI viewer

and so forth.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998940368"></a><a name="idm140487998940112"></a><b>2.5.</b></td><td align="left" valign="top"><p>Is TDE a CDE, Windows or Mac

OS clone?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>TDE is not a clone. Specifically TDE is not a

Common Desktop Environment (CDE) or Windows clone.

While developers have and will continue to glean the best features from existing

desktop environments, TDE is a unique environment that has and

will continue to go its own way.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998932336"></a><a name="idm140487998932080"></a><b>2.6.</b></td><td align="left" valign="top"><p>On what platform is TDE based?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>TDE uses C++ and the <a href="licensing.php#qt">Qt C++ crossplatform toolkit</a>.

The TDE development team now maintains the Qt3 toolkit, renamed TQt3.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998929824"></a><a name="idm140487998928608"></a><b>2.7.</b></td><td align="left" valign="top"><p>Is TDE free software?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Yes, TDE is free software according to the GNU General

Public License. All TDE libraries are available under the

LGPL making commercial software development for the

TDE desktop possible, but all TDE applications are licensed under

the GPL.</p><p>TDE uses the <a href="licensing.php#qt">Qt C++ crossplatform

toolkit</a>, which, since version 2.2, is released under the

GPL.</p><p>Both TDE and Qt can be made available on

CD-ROM free of charge. No runtime fees of any kind are

incurred.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998919136"></a><a name="idm140487998918816"></a><b>2.8.</b></td><td align="left" valign="top"><p>Why the rebranding and renaming efforts? Why not continue calling the software KDE?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>The "KDE" name, various logos, and related efforts are trademarked by the KDE

Foundation. Since the Trinity project is not affiliated with the KDE Foundation,

legally we can't use their trademarks.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998915472"></a><a name="idm140487998915216"></a><b>2.9.</b></td><td align="left" valign="top"><p>Why the change in version numbers?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Trinity evolved from the last KDE 3.5 release, 3.5.10. Subsequent Trinity releases

followed that numbering scheme. Release R14.0.0 marks a turning point in Trinity history

because a great deal of the code infrastructure was changed. While those changes do not

effect the usability or look-and-feel of the desktop that users enjoy, Trinity developers

believe a change in the version scheme distinguishes when those changes occurred. An

original project goal by users was to retain the flavor of the original KDE 3.5 desktop.

That goal remains intact. To reflect that original goal, the last number in the original

version scheme is retained in the new version scheme but is now the primary version number.

While the infrastructure has changed, the desktop itself remains the same as the original

KDE 3.5. This new version scheme indicates a modest divergence from the original KDE 3.5

series and that Trinity is now its own desktop environment. The new version scheme reminds

users that Trinity retains the original KDE 3.5 design, but is moving forward as a separate

desktop project.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998912448"></a><a name="trinity-vs-kde4"></a><b>2.10.</b></td><td align="left" valign="top"><p>How is Trinity different from KDE4?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Both desktop environments share common roots to KDE 3.5.10, which was the last

official release of KDE in the 3.x series. Many KDE developers wanted to break

from that code chain and tool sets to start afresh. Thus was born KDE4. In

addition to moving to the Qt4 tool set, the KDE developers revamped the

underlying KDE code set.</p><p>KDE4 and Trinity have different philosophies about work flow preferences.

KDE4 developers want to support certain work flow concepts and techniques.

Trinity developers want to maintain a "traditional" desktop environment.</p><p>For example, KDE4 offers the following tools:</p>
<p class="itemizedlist"><ul type="disc"><li><p>Semantic desktop through Nepomuk</p></li><li><p>PIM (Personal Information Management) data caching through Akonadi</p></li><li><p>Desktop file searching through Strigi</p></li><li><p>Activities, a computer desktop metaphor for managing tasks and activities</p></li></ul><p>Whereas TDE offers the following:</p>
<p class="itemizedlist"><ul type="disc"><li><p>Desktop search through the locate:/ tdeio-slave and Beagle</p></li><li><p>Integrated PIM suite with plugins</p></li><li><p>Related task management using multiple desktops</p></li></ul><p>The KDE developers support alternate desktop interfaces, such as those used

with netbooks, tablets, and smart phones. TDE provides a single interface that is

optimized for the mouse/keyboard HCI (Human-computer interaction) model.</p><p>Both desktop environments provide an excellent choice for various work

flows but differ in approach. Trinity leans toward user expectations of how

desktop environments have functioned traditionally. There is a sense of

familiarity with that environment many people like. Similarly other users prefer

the work flow features offered by KDE4 because those features match their

expectations of how they want their computer to behave. The difference between the

two environments does not mean one is better, buggier, or slower &mdash; only that

they are different and appeal to different types of people. Although sharing a

common heritage, both desktops appeal to different groups of people. As always

with free/libre software, there is a choice.</p></td></tr></tbody></table><table width="100%" class="bottom-nav"><tr><td width="33%" align="left" valign="top" class="navLeft"><a href="about.php">Prev</a></td><td width="34%" align="center" valign="top" class="navCenter"><a href="index.php">Home</a></td><td width="33%" align="right" valign="top" class="navRight"><a href="getting-tde.php">Next</a></td></tr><tr><td width="33%" align="left" class="navLeft">About this FAQ</td><td width="34%" align="center" class="navCenter"><a href="index.php">Up</a></td><td width="33%" align="right" class="navRight">Getting TDE</td></tr></table>
<?php
    doFooter();
?>

