<?php
    include("../tde-head-and-foot.php");
    doHeader("Qt and Licensing questions", "Documentation", "FAQ", "../");
?>
<STYLE>
    .question {font-weight:bold;}
    TD {padding-top:10px}
</STYLE>
<table width="100%" class="header"><tbody><tr><td align="left" class="navLeft" width="33%"><a accesskey="p" href="misc.php">Prev</a></td><td align="center" class="navCenter" width="34%"></td><td align="right" class="navRight" width="33%">

		      <a accesskey="n" href="more-info.php">Next</a></td></tr></tbody></table>
<p class="chapter" lang="en">
<p class="titlepage">
<p>
<p><h2 class="title"><a name="licensing"></a>Chapter 16. Qt and Licensing questions</h2>
<p class="qandaset"><dl><dt>16.1. <a href="licensing.php#idm140487997117232">What is Qt, by the way?</a></dt><dt>16.2. <a href="licensing.php#idm140487997066464">Why does TDE use Qt?</a></dt><dt>16.3. <a href="licensing.php#idm140487997060624">Why does TDE not use gtk, xforms, xlib, whatever?</a></dt><dt>16.4. <a href="licensing.php#idm140487997056592">But Qt isn't free, is it?</a></dt><dt>16.5. <a href="licensing.php#idm140487997051872">Can I write commercial software for TDE?</a></dt><dt>16.6. <a href="licensing.php#idm140487997045088">Isn't Qt3 obsolete and "dead" technology?</a></dt><dt>16.7. <a href="licensing.php#idm140487997042304">Are there plans to migrate TDE to Qt4 or Qt5?</a></dt></dl><table border="0" summary="Q and A Set"><col align="left" width="1%"><tbody><tr class="question"><td align="left" valign="top"><a name="idm140487997117232"></a><a name="qt"></a><b>16.1.</b></td><td align="left" valign="top"><p>What is Qt, by the way?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Qt is a C++-based class library to build user interfaces. It

also includes many utility classes like string classes and classes

to handle input and output. It

provides most of the widgets you will see in a TDE application:

menus, buttons, sliders, etc. Qt is a cross-platform library that

allows developers to write code that will compile on Unix-like systems as well as

Windows and embedded devices. Learn more about Qt at <a href="http://www.trolltech.com" target="_top">http://www.trolltech.com</a>.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997066464"></a><a name="idm140487997066144"></a><b>16.2.</b></td><td align="left" valign="top"><p>Why does TDE use Qt?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Qt is a sophisticated toolkit that provides everything that

needed to build a modern user interface. Qt is written in C++, thus

allowing object-oriented development which ensures efficiency and

code reuse in a project the size and scope of TDE. In our opinion

there is no better toolkit available for Unix-like systems and that it

would have been a grave mistake to try to build TDE on anything but

the best.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997060624"></a><a name="idm140487997060304"></a><b>16.3.</b></td><td align="left" valign="top"><p>Why does TDE not use gtk, xforms, xlib, whatever?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>There are a number of toolkits available. To provide a

consistent user interface and to keep used resources such as memory to

a minimum, TDE can use only one of them. Qt was selected for the

reasons mentioned above.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997056592"></a><a name="idm140487997056272"></a><b>16.4.</b></td><td align="left" valign="top"><p>But Qt isn't free, is it?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Qt is free/libre. Since September 4, 2000, version 2.2 of the Qt

libraries are licensed under the GPL, thereby

fulfiling all aspects of free/libre software.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997051872"></a><a name="idm140487997051552"></a><b>16.5.</b></td><td align="left" valign="top"><p>Can I write commercial software for TDE?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>You can use the TDE libraries to write commercial and

closed source as well as commercial and open

source software. If you write open source software you can

use the Qt free edition. If you write closed source software

you may not use the Qt free edition; you need to obtain the Qt

professional edition from Troll Tech. For more information, please

contact <a href="http://www.trolltech.com" target="_top">Troll Tech</a> directly.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997045088"></a><a name="idm140487997044768"></a><b>16.6.</b></td><td align="left" valign="top"><p>Isn't Qt3 obsolete and "dead" technology?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>The definition for "obsolete" varies based upon who applies the term.

Generally the term "obsolete" means something no longer is useful or no longer

needed. In software circles the term often means antiquated or no longer shiny.

Usefulness often is not part of the intended meaning of the word. The term is

used as an emotional wedge more than a factual observation.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997042304"></a><a name="idm140487997041984"></a><b>16.7.</b></td><td align="left" valign="top"><p>Are there plans to migrate TDE to Qt4 or Qt5?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>There are no such plans. Porting Trinity to Qt4 is 5 to 10 years of solid work with current project manpower. Indeed, the KDE4 team of developers needed several years to port KDE and they have many more developers.</p><p>A fundamental project goal for maintaining Trinity is to keep alive the spirit and functionality of the original KDE3 concepts. Porting to Qt4 does not support that goal. Qt4 functionality is different from Qt3 (now TQt). Those differences conflict with how users want Trinity to function. The Qt4 environment is too different in focus and functionality to be used as the base toolkit of Trinity.</p><p>The idea of integrating certain portions of the Qt4 code has not been abandoned. One of the original reasons for the TQt interface layer was to keep open the possibility of adapting portions of Trinity to Qt4. That has already been done. For example, with the qt4-tqt-theme-engine package for Trinity.</p><p>More information about the philosophical and design differences between Trinity and KDE4 are available in <a href="introduction.php#trinity-vs-kde4">Q:2.10</a> of the FAQ introduction.</p></td></tr></tbody></table><table width="100%" class="bottom-nav"><tr><td width="33%" align="left" valign="top" class="navLeft"><a href="misc.php">Prev</a></td><td width="34%" align="center" valign="top" class="navCenter"><a href="index.php">Home</a></td><td width="33%" align="right" valign="top" class="navRight"><a href="more-info.php">Next</a></td></tr><tr><td width="33%" align="left" class="navLeft">Miscellaneous questions</td><td width="34%" align="center" class="navCenter"><a href="index.php">Up</a></td><td width="33%" align="right" class="navRight">Getting more information</td></tr></table>
<?php
    doFooter();
?>

