<?php
    include("../tde-head-and-foot.php");
    doHeader("The panel", "Documentation", "FAQ", "../");
?>
<STYLE>
    .question {font-weight:bold;}
    TD {padding-top:10px}
</STYLE>
<table width="100%" class="header"><tbody><tr><td align="left" class="navLeft" width="33%"><a accesskey="p" href="install.php">Prev</a></td><td align="center" class="navCenter" width="34%"></td><td align="right" class="navRight" width="33%">

		      <a accesskey="n" href="desktop.php">Next</a></td></tr></tbody></table>
<p class="chapter" lang="en">
<p class="titlepage">
<p>
<p><h2 class="title"><a name="panel"></a>Chapter 5. The panel</h2>
<p class="qandaset"><dl><dt>5.1. <a href="panel.php#idm140487998474896">How do I add applications to the TDE panel (Kicker)?</a></dt><dt>5.2. <a href="panel.php#idm140487998427712">How do I change the menu T button of

the panel to another picture?</a></dt><dt>5.3. <a href="panel.php#idm140487998424784">After updating TDE, my TDE menu appears to be empty! How can I get my menu back?

</a></dt><dt>5.4. <a href="panel.php#idm140487998418640">My desktop panel has disappeared. How can I get it

back?</a></dt><dt>5.5. <a href="panel.php#idm140487998408432">How can I start an application minimized to the system

tray?</a></dt><dt>5.6. <a href="panel.php#idm140487998400736">How do I use the Windows key to open the TDE menu?</a></dt></dl><table border="0" summary="Q and A Set"><col align="left" width="1%"><tbody><tr class="question"><td align="left" valign="top"><a name="idm140487998474896"></a><a name="idm140487998474576"></a><b>5.1.</b></td><td align="left" valign="top"><p>How do I add applications to the TDE panel (Kicker)?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>There are several ways to add an application to the panel.

The easiest is to right-click on the panel, and from the context

menu that appears, select Add Application to

Panel.</p><p>For more ways of adding buttons to the panel, refer to the

Kicker Handbook.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998427712"></a><a name="idm140487998427456"></a><b>5.2.</b></td><td align="left" valign="top"><p>How do I change the menu T button of

the panel to another picture?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>The simplest way is to right-click on the panel, from the context menu

select Configure Panel, from the icon list on the left side,

select Menus, then inside the TDE Menu grouping, select the TDE Menu button icon.

</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998424784"></a><a name="idm140487998424528"></a><b>5.3.</b></td><td align="left" valign="top"><p>After updating TDE, my TDE menu appears to be empty! How can I get my menu back?

</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>

User modifications to the TDE menu are stored in

<code class="filename">$<code class="envar">HOME</code>/.config/menus/applications-tdemenuedit.menu</code>.

Try moving this file out of the way and then issuing the

command <strong class="userinput"><code><strong class="command">tdebuildsycoca</strong>

<code class="option">--noincremental</code></code></strong>. This should restore you to the

default system menus. If that is the case you'll have to recreate your customized menu.

</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998418640"></a><a name="idm140487998417888"></a><b>5.4.</b></td><td align="left" valign="top"><p>My desktop panel has disappeared. How can I get it

back?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>The panel disappearing is usually due to a crash. This might be

caused by loading an applet that has a fatal bug or a bad installation

of TDE and/or the panel.</p><p>The easiest way to get the panel back is to launch the

Run Command window by pressing <strong class="keycap">Alt</strong>+<strong class="keycap">F2</strong> and entering

<strong class="userinput"><code><strong class="command">kicker</strong></code></strong>, and then pressing the

OK button.</p><p>If the panel continues to disappear, you may wish to either

remove or edit by hand your

<code class="filename">$<code class="envar">TDEHOME</code>/share/config/kickerrc</code>

file, where <code class="filename">$<code class="envar">TDEHOME</code></code> is usually

<code class="filename">~/.trinity</code>. If you choose to edit

by hand, start by removing the applet entry groups.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998408432"></a><a name="idm140487998407600"></a><b>5.5.</b></td><td align="left" valign="top"><p>How can I start an application minimized to the system

tray?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Use <strong class="command">ksystraycmd</strong>. For example, to start a Konsole hidden

in the system tray, run <strong class="userinput"><code><strong class="command">ksystraycmd </strong>

<code class="option">--hidden</code> <strong class="command">konsole</strong></code></strong>. For

more information about <strong class="command">ksystraycmd</strong>, see the section

Advanced Window Management in the TDE

User Guide.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998400736"></a><a name="idm140487998400416"></a><b>5.6.</b></td><td align="left" valign="top"><p>How do I use the Windows key to open the TDE menu?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Previous versions of TDE provided a trick to allow you to

use the Windows key both as a modifier (so you could have shortcuts

like Win+<strong class="keycap">R</strong>), and as a regular key (so that pressing

Win on its own could open the TDE menu). This feature

was removed for reasons of usability and accessibility, as well as

keeping the code clean. For current versions of TDE, you have two

options: either use a different shortcut to open the TDE menu (the

default is <strong class="keycap">Alt</strong>+<strong class="keycap">F1</strong>), or remap the Win key to be a regular

key, rather than a modifier.</p><p>If you choose to do the second, here's one way:




<p class="orderedlist"><ol type="1"><li><p>Find the keycode for your Win key

using <strong class="command">xev</strong>: Run the command

<strong class="userinput"><code><strong class="command">xev</strong></code></strong> in a Konsole, and

press the Win key. Look in the output of

<strong class="command">xev</strong> for

<code class="computeroutput">keycode <em class="replaceable"><code>n</code></em></code>,

where <em class="replaceable"><code>n</code></em> is the keycode of the

Win key.</p></li><li><p>Use <strong class="command">xmodmap</strong> to remap the

Win key. An appropriate command is <strong class="userinput"><code><strong class="command">xmodmap

<code class="option">-e</code> 'keycode

<em class="replaceable"><code>n</code></em>=Menu'</strong></code></strong>.</p></li><li><p>In the KDE Control Center, go to

Regional &amp;

Accessibility-&gt;Keyboard Shortcuts and set the shortcut for Popup Launch

Menu to the Win key. You should now be

able to popup the TDE menu by pressing the Win key.</p></li><li><p>One more step is required to save the changes across

settings: Create a file <code class="filename">~/.trinity/env/win-key.sh</code>

(create the directory if it doesn't exist), and add the

<strong class="command">xmodmap</strong> command you used previously to it. The

change should now be applied every time you start TDE.</p></li></ol>

</p></td></tr></tbody></table><table width="100%" class="bottom-nav"><tr><td width="33%" align="left" valign="top" class="navLeft"><a href="install.php">Prev</a></td><td width="34%" align="center" valign="top" class="navCenter"><a href="index.php">Home</a></td><td width="33%" align="right" valign="top" class="navRight"><a href="desktop.php">Next</a></td></tr><tr><td width="33%" align="left" class="navLeft">Installation instructions</td><td width="34%" align="center" class="navCenter"><a href="index.php">Up</a></td><td width="33%" align="right" class="navRight">The desktop</td></tr></table>
<?php
    doFooter();
?>

