<?php
    include("../tde-head-and-foot.php");
    doHeader("Useful tips", "Documentation", "FAQ", "../");
?>
<STYLE>
    .question {font-weight:bold;}
    TD {padding-top:10px}
</STYLE>
<table width="100%" class="header"><tbody><tr><td align="left" class="navLeft" width="33%"><a accesskey="p" href="non-tde-apps.php">Prev</a></td><td align="center" class="navCenter" width="34%"></td><td align="right" class="navRight" width="33%">

		      <a accesskey="n" href="misc.php">Next</a></td></tr></tbody></table>
<p class="chapter" lang="en">
<p class="titlepage">
<p>
<p><h2 class="title"><a name="tips"></a>Chapter 14. Useful tips</h2>
<p class="qandaset"><dl><dt>14.1. <a href="tips.php#idm140487997402016">Reading documentation in TDE</a></dt><dt>14.2. <a href="tips.php#idm140487997322000">Move or resize windows quickly</a></dt><dt>14.3. <a href="tips.php#idm140487997314000">Killing windows in TDE</a></dt><dt>14.4. <a href="tips.php#idm140487997307472">What if something is so wrong that I can't even get the skull

&amp; crossbones cursor? How do I get out of a total lockup?</a></dt></dl><table border="0" summary="Q and A Set"><col align="left" width="1%"><tbody><tr class="question"><td align="left" valign="top"><a name="idm140487997402016"></a><a name="idm140487997401696"></a><b>14.1.</b></td><td align="left" valign="top"><p>Reading documentation in TDE</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Pop up the Run Command window (<strong class="keycap">Alt</strong>+<strong class="keycap">F2</strong> by

default) and type:


<p class="itemizedlist"><ul type="disc"><li><p><strong class="command">man:<em class="replaceable"><code>command</code></em></strong> for man pages. It

even unpacks on the fly if the man pages are gzipped.</p></li><li><p><strong class="command">info:<em class="replaceable"><code>command</code></em></strong> for info

pages.</p></li><li><p><strong class="command">help:<em class="replaceable"><code>kdeappname</code></em></strong> for TDE

application help pages.</p></li></ul>

</p><p>You can enter any of these in the Location text

box in Konqueror.</p><p>Uou can use the TDE Help Center. Start the TDE Help Center by selecting Help from the TDE menu. Once the TDE Help Center has loaded, the window on the left will contain an entry called

Unix manual pages. Select that entry to browse through all the installed manual pages on your

system.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997322000"></a><a name="idm140487997321680"></a><b>14.2.</b></td><td align="left" valign="top"><p>Move or resize windows quickly</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>To move a window, use <strong class="keycap">Alt</strong>+left mouse

button. <strong class="keycap">Alt</strong>+right mouse

button will resize the window. Last but not least, <strong class="keycap">Alt</strong>+middle mouse button

raises/lowers the window. The TDE Control Center

allows you to change these mouse bindings. Please refer to 

"Windows, How To Work Them" in the Trinity user guide for more information.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997314000"></a><a name="idm140487997313680"></a><b>14.3.</b></td><td align="left" valign="top"><p>Killing windows in TDE</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>There is a standard keybinding (<strong class="keycap">Ctrl</strong>+<strong class="keycap">Alt</strong>+<strong class="keycap">Esc</strong>)

that changes the mouse pointer to a skull &amp; crossbones cursor. Click that cursor on a

window to kill it. The keybindings are viewable/changeable from the

TDE Control Center.




<p class="caution" ><h3 class="title">Caution</h3><p>Using this option kills the program forcibly. Data might be lost,

and some processes related to the program might remain active. Use only as a

last resort.</p>

</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997307472"></a><a name="idm140487997307152"></a><b>14.4.</b></td><td align="left" valign="top"><p>What if something is so wrong that I can't even get the skull

&amp; crossbones cursor? How do I get out of a total lockup?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>These kind of locks tend to occur when an application locks up

while it has a so called mouse/keyboard grab. When that

happens you can try to select a virtual text console with <strong class="keycap">Ctrl</strong>+<strong class="keycap">Alt</strong>+<strong class="keycap">F1</strong> and login. With the

following command you will get a list of all running processes:</p><pre class="screen"><strong class="userinput"><code>        <strong class="command">ps</strong> <code class="option">-aux</code> | <strong class="command">more</strong></code></strong></pre><p>By killing the process that has the mousegrab, your desktop will

come to life again. Unfortunately you can't see which process that is,

so you will have to find out through trial and error. To kill a process

use:</p><pre class="screen"><strong class="userinput"><code>        <strong class="command">kill</strong> <code class="option">-9</code> <em class="replaceable"><code>pid</code></em></code></strong></pre><p>Here <em class="replaceable"><code>pid</code></em> is the process id of the

process, which is the first number on each line reported by

<strong class="command">ps</strong> <code class="option">-aux</code>.</p><p>You can switch back to the desktop with <strong class="keycap">Ctrl</strong>+<strong class="keycap">Alt</strong>+<strong class="keycap">F7</strong> (or

<strong class="keycap">F8</strong> through <strong class="keycap">F9</strong> depending on your

operating system) to see if things work again. When you press

<strong class="keycap">Alt</strong>+<strong class="keycap">Tab</strong> you should get a

response from the window manager. If not, you need to get back to the

text console and try to kill another process.</p></td></tr></tbody></table><table width="100%" class="bottom-nav"><tr><td width="33%" align="left" valign="top" class="navLeft"><a href="non-tde-apps.php">Prev</a></td><td width="34%" align="center" valign="top" class="navCenter"><a href="index.php">Home</a></td><td width="33%" align="right" valign="top" class="navRight"><a href="misc.php">Next</a></td></tr><tr><td width="33%" align="left" class="navLeft">TDE with non-TDE applications</td><td width="34%" align="center" class="navCenter"><a href="index.php">Up</a></td><td width="33%" align="right" class="navRight">Miscellaneous questions</td></tr></table>
<?php
    doFooter();
?>

