<?php
	// (c) 2014 Trinity Desktop Project
	// All Rights Reserved
	// Authors: Elizabeth Liddell, Timothy Pearson, and Calvin Morrison
	
	include("tde-head-and-foot.php");
	doHeader("Trinity: Help Wanted", "Development", "Get Involved");
?>

<h2> Getting Involved with Trinity Development</h2>

    <p>
      So you think you have what it takes to become a Trinity
      Desktop Developer? Great!  Getting started with a new project
      can be intimidating, but here at the Trinity project we love new
      developers! If you have any area of expertise that you think
      could be helpful, we encourage you to speak up. The first
      thing to do is poke around the website, the wiki, and the
      mailing list logs in order to get acquainted with the project.
      Emailing the developers mailing list is the best way to be
      recognized and start helping out. Patches are always welcome
      as well as new ideas. We look forward to your contributions!
     </p>
    <p>
      Note that for legal reasons you need to <a href="/cla/">sign a CLA</a> before submitting patches or making commits.  We do not transfer copyright; the CLA simply formalizes our rights to use your open-source work in our open-source project.
    </p>
    <p>
      While all are welcome, the Trinity team is currently looking for help in the following specific areas:
    </p>
      <ul>
        <li>Application bugfixes
        <li>Bluetooth support
        <li>Language translation/support
        <li>Artwork
        <li>UI design review
      </ul>
    <p>
      If you believe you can assist in these areas, please <a href="mailinglist.php">contact us</a>.
    </p>
<?php
    doFooter();
?>
