<?php
    include("tde-head-and-foot.php");
    doHeader("Related Projects", "Development", "Related Projects");
?>

    <p>
      These are projects related to the Trinity Desktop Environment. They have either been
      developed specifically for Trinity, or have been patched to work correctly with Trinity.
    </p>

    <h3>libcaldav</h3>
      <p>
        Trinity utilizes a patched version of libcaldav from <a href="http://sourceforge.net/projects/libcaldav/">libcaldav's Sourceforge site.</a><P>
        libcaldev is a client library that adds support for the CalDAV protocol (rfc4791). The
        object is to have a library which fully implements the protocol so that it is easy
        to integrate CalDAV support into any PIM application. The latest patched sources
        and Debian binaries are available from our GIT system: <a href="https://git.trinitydesktop.org/cgit/libcaldav/">Go there now!</a>
      </p>

    <h3>libcarddav</h3>
      <p>
        Libcarddav is a portable CardDAV client implementation originally developed for the Trinity
        PIM suite.  It incorporates full list, get, add, modify, and delete functionality per the
        latest CardDAV standards. Build dependencies are minimal, requiring only libcurl. The latest
        sources and Debian binaries are available on our GIT system:
        <a href="https://git.trinitydesktop.org/cgit/libcarddav/">Go there now!</a>
      </p>

<?php
    doFooter();
?>
