<?php
	// (c) 2014-2019 Trinity Desktop Project
	// All Rights Reserved
	// Authors: Timothy Pearson and Elizabeth Liddell

	include("tde-head-and-foot.php");
	doHeader("Trinity Releases", "Get Trinity", "Packages");
?>

<p>The Trinity Desktop Environment follows an unscheduled "release when ready" system, which depends on
the number of required changes to the core and how many open bugs we have, rather than picking a
calendar date.  We try to get stable releases out every few months, and major releases once or twice a year.
This page details our currently active releases. For tentative information on future releases, please read 
the <a href="https://wiki.trinitydesktop.org/Project_RoadMap">Project Roadmap</a>.
</p>
<p><b>Select an official release version below to get release notes and download links</b><br><BR><BR>
    <table STYLE="border-width:0px">
        <tr>
            <td><B>Version</B></td>
            <td><B>Date</B></td>
        </tr>
        <tr>
            <td style="padding-right:5ex"><a href="releases/R14.0.9">&rarr; R14.0.9 [Current]</a></td>
            <td>11/01/2020</td>
        </tr>
        <tr>
            <td style="padding-right:5ex"><a href="releases/R14.0.8">&rarr; R14.0.8</a></td>
            <td>04/29/2020</td>
        </tr>
        <tr>
            <td style="padding-right:5ex"><a href="releases/R14.0.7">&rarr; R14.0.7</a></td>
            <td>12/30/2019</td>
        </tr>
        <tr>
            <td style="padding-right:5ex"><a href="releases/R14.0.6">&rarr; R14.0.6</a></td>
            <td>03/30/2019</td>
        </tr>
        <tr>
            <td style="padding-right:5ex"><a href="releases/R14.0.5">&rarr; R14.0.5</a></td>
            <td>08/18/2018</td>
        </tr>
        <tr>
            <td style="padding-right:5ex"><a href="releases/R14.0.4">&rarr; R14.0.4</a></td>
            <td>11/07/2016</td>
        </tr>
        <tr>
            <td STYLE="padding-right:5ex"><a href="releases/R14.0.3">&rarr; R14.0.3</a></td>
            <td>02/28/2016</td>
        </tr>
        <tr>
            <td STYLE="padding-right:5ex"><a href="releases/R14.0.2">&rarr; R14.0.2</a></td>
            <td>11/28/2015</td>
        </tr>
        <tr>
            <td STYLE="padding-right:5ex"><a href="releases/R14.0.1">&rarr; R14.0.1</a></td>
            <td>08/30/2015</td>
        </tr>
        <tr>
            <td STYLE="padding-right:5ex"><a href="releases/R14.0.0">&rarr; R14.0.0</a></td>
            <td>12/16/2014</td>
        </tr>
        <tr>
            <td STYLE="padding-right:5ex"><a href="releases/3.5.13.2">&rarr; 3.5.13.2</a></td>
            <td>07/21/2013</td>
        </tr>
        <tr>
            <td><a href="releases/3.5.13.1">&rarr; 3.5.13.1</a></td>
            <td>10/11/2012</td>
        </tr>
        <tr>
            <td><a href="releases/3.5.13">&rarr; 3.5.13</a></td>
            <td>11/01/2011</td>
        </tr>
        <tr>
            <td><a href="releases/3.5.12">&rarr; 3.5.12</a></td>
            <td>10/03/2010</td>
        </tr>
        <tr>
            <td><a href="releases/3.5.11">&rarr; 3.5.11</a></td>
            <td>04/29/2010</td>
        </tr>
    </table>

<?php
	doFooter();
?>
