<?php
    include("tde-head-and-foot.php");
    doHeader("Trinity Development", "Development", "_");
?>
<p>    This page is a portal to the various resources used in the development of the Trinity Desktop Environment.</p>

<h2/>Resources</h2>

<h3>Repositories</h3>
  <div>
    <a href="cgit/">Official GIT Repository</a> <br>
    <a href="https://websvn.kde.org/branches/trinity/">Old official SVN on KDE.org</a> <br>
    <a href="patches/">Commit patches from GIT</a> <br>
    <a href="https://wiki.trinitydesktop.org/Project_GIT_Information#Using_GIT">Obtaining the source code</a> <br>
  </div>
<h3>Web Pages and Documentation</h3>
  <div>
    <a href="https://wiki.trinitydesktop.org/Category:Developers">Developer's Area on the Wiki</a> <br>
    <a href="https://wiki.trinitydesktop.org/Project_RoadMap">Project Roadmap</a> <br>
    <a href="./apidocs.php">API Documentation</a> <br>
    <a href="http://etherpad.trinitydesktop.org">Official Etherpad [a real-time collaboration tool]</a> <br>
  </div>
<h3>Other</h3>
  <div>
    <a href="https://quickbuild.pearsoncomputing.net/~trinity/+archive/trinity-nightly-builds/+packages?start=0&batch=300" title="Nightly Builds">Nightly Builds</a> <br>
    <a href="https://quickbuild.pearsoncomputing.net/~trinity/+archive/ubuntu/trinity-nightly-builds/" title="Nightly Builds Landing Page">Nightly Builds Landing Page</a> <br>
    <a href="https://wiki.trinitydesktop.org/Nightly_Builds" title="Nightly Builds Installation Instructions">Nightly Builds Installation Instructions</a> <br>
    <a href="./mailinglist.php">Mailing Lists</a> <br>
  </div>
<h3>External Links</h3>
  <div>
    <a href="https://www.openhub.net/p/tde">Code Stats on OpenHub</a> <br>
  </div>
  </p>

<?php
    doFooter();
?>
