<?php
    include("tde-head-and-foot.php");
    doHeader("Frequently Asked Questions", "Documentation", "FAQ");
?>

<H2>General Questions</H2>
<P><B>1. Why another desktop environment?</B>
<P>We wanted a traditional-style menu-panel-taskbar-quicklaunch desktop with a full set of features.
For the past few years, KDE and the other major Linux desktop environments have been experimenting 
with new interface paradigms.  There's nothing wrong with basing a DE around a new and innovative idea,
but not everyone is going to be happy with it, just as not everyone likes the sort of traditional
interface Trinity offers.

<P><B>2. Doesn't XFCE4 fill the same niche as Trinity?  What about Mat&eacute;?</B>
<P>XFCE4 is a lighter desktop than Trinity, meaning that it contains less code and likely requires
less hardware, but also offers fewer features.  Mat&eacute; is probably playing in much the same
space as we are, but a lot of us tried it when it was still Gnome 2 and decided we liked Trinity's
ancestor better.

<P><B>3. Isn't Trinity just KDE 3.5.10 with a few cosmetic changes?</B>
<P>Trinity has several features that KDE 3 didn't have, such as 
<a href="http://en.wikipedia.org/wiki/Secure_attention_key">Secure Attention Key</a> support and
<a href="http://en.wikipedia.org/wiki/International_Color_Consortium">ICC (International Color Consortium)</a> 
color profile support.  It's also been updated to work without requiring obsolete libraries like HAL, and
is available for more distributions (at the time of writing, KDE3 was no longer available for any major Linux
distribution except OpenSUSE and Gentoo).

<P><B>4. What's your relationship with KDE e.V. (the legal entity behind KDE)?</B>
<P>We don't have one.  Really.  We do our best not to interfere with their trademarks, and in
return they mostly pretend that we don't exist.

<P><B>5. Should I report Trinity bugs to the KDE bug tracker?</B>
<P>Please don't.  We have our own bug tracker at http://bugs.trinitydesktop.org/ .
Sending our bugs to them will just annoy them, and it won't get your bug fixed.

<HR>

<H2>Getting and Installing Trinity</H2>

<HR>

<H2>The Control Panel, Desktop, and System Tray</H2>

<HR>

<H2>Konqueror:  File Manager and More</H2>

<?php
    doFooter();
?>
