<?php
    include("../tde-head-and-foot.php");
    doHeader("TDE Frequently Asked Questions", "Documentation", "FAQ", "../");
?>
<STYLE>
    .question {font-weight:bold;}
    TD {padding-top:10px}
</STYLE>
<table width="100%" class="header"><tbody><tr><td align="left" class="navLeft" width="33%"></td><td align="center" class="navCenter" width="34%"></td><td align="right" class="navRight" width="33%">

		      <a accesskey="n" href="about.php">Next</a></td></tr></tbody></table>
<p class="book" lang="en">
<p class="titlepage">
<p>
<p><h2><a name="idm140487999006528"></a>TDE Frequently Asked Questions</h2>
<p>
<p class="authorgroup"><p class="author">The TDE Team </p>
<p>Revision  0.1
<p><p class="copyright">Copyright  1997-2005 The KDE Team</p>
<p><p class="copyright">Copyright  2014 The TDE Team</p>
<p>
<p class="legalnotice"><a name="idm140488000783152"></a><p>Permission is granted to copy, distribute and/or modify this

document under the terms of the GNU Free Documentation License,

Version 1.1 or any later version published by the Free Software

Foundation; with no Invariant Sections, with no Front-Cover Texts, and

with no Back-Cover Texts.  A copy of the license is included in <a href="credits.php#gnu-fdl">the section entitled "GNU Free Documentation License"</a>.</p>
<p>
<p>
<p class="abstract"><p>This is a collection of frequently asked

questions about the Trinity Desktop Environment.  Please report any bugs,

inconsistencies, or omissions you find in this FAQ to

<code class="email">&lt;<a href="mailto:devels@trinitydesktop.org">devels@trinitydesktop.org</a>&gt;</code>.  Please post

questions to the TDE mailing lists. Questions are monitored to help

maintain this FAQ.</p><hr>
<p class="toc"><p><b>Table of Contents</b></p><dl><dt><a href="about.php">1. About this FAQ</a></dt><dt><a href="introduction.php">2. Introduction</a></dt><dt><a href="getting-tde.php">3. Getting TDE</a></dt><dt><a href="install.php">4. Installation instructions</a></dt><dt><a href="panel.php">5. The panel</a></dt><dt><a href="desktop.php">6. The desktop</a></dt><dt><a href="windowmanager.php">7. The window manager</a></dt><dt><a href="filemanager.php">8. The File Manager</a></dt><dt><a href="webbrowser.php">9. Webbrowsing with Konqueror</a></dt><dt><a href="configure.php">10. Configuring TDE</a></dt><dt><a href="applications.php">11. TDE applications</a></dt><dt><a href="sound.php">12. Troubleshooting sound problems</a></dt><dt><a href="non-tde-apps.php">13. TDE with non-TDE applications</a></dt><dt><a href="tips.php">14. Useful tips</a></dt><dt><a href="misc.php">15. Miscellaneous questions</a></dt><dt><a href="licensing.php">16. Qt and Licensing questions</a></dt><dt><a href="more-info.php">17. Getting more information</a></dt><dt><a href="questions.php">18. Asking Questions</a></dt><dt><a href="contribute.php">19. Contributing</a></dt><dt><a href="credits.php">20. Credits and License</a></dt></dl><table width="100%" class="bottom-nav"><tr><td width="33%" align="left" valign="top" class="navLeft"></td><td width="34%" align="center" valign="top" class="navCenter"></td><td width="33%" align="right" valign="top" class="navRight"><a href="about.php">Next</a></td></tr><tr><td width="33%" align="left" class="navLeft"></td><td width="34%" align="center" class="navCenter"></td><td width="33%" align="right" class="navRight">About this FAQ</td></tr></table>
<?php
    doFooter();
?>

