<?php
    include("../tde-head-and-foot.php");
    doHeader("Installation instructions", "Documentation", "FAQ", "../");
?>
<STYLE>
    .question {font-weight:bold;}
    TD {padding-top:10px}
</STYLE>
<table width="100%" class="header"><tbody><tr><td align="left" class="navLeft" width="33%"><a accesskey="p" href="getting-tde.php">Prev</a></td><td align="center" class="navCenter" width="34%"></td><td align="right" class="navRight" width="33%">

		      <a accesskey="n" href="panel.php">Next</a></td></tr></tbody></table>
<p class="chapter" lang="en">
<p class="titlepage">
<p>
<p><h2 class="title"><a name="install"></a>Chapter 4. Installation instructions</h2><p>These are the generic installation instructions for the Trinity

Desktop Environment. Please complement your reading with the

<code class="filename">README</code> and <code class="filename">INSTALL</code> text files that

come along with the package. Please read them carefully and try to

help yourself if anything goes wrong. If you need further

assistance, consider joining the TDE mailing lists

(see our web site instructions for joining the TDE

<a href="/mailinglist.php" target="_top">mailing

lists</a>).</p>
<p class="qandaset"><dl><dt>4.1. <a href="install.php#idm140487998838576">To the would-be converts</a></dt><dt>4.2. <a href="install.php#idm140487998761408">What kind of hardware do I need to run TDE ?</a></dt><dt>4.3. <a href="install.php#idm140487998756832">Available package formats</a></dt><dt>4.4. <a href="install.php#idm140487998751936">Prerequisites</a></dt><dt>4.5. <a href="install.php#idm140487998745696">Description of the base packages</a></dt><dt>4.6. <a href="install.php#idm140487998671840">Installation instructions for the different package formats</a></dt><dt>4.7. <a href="install.php#idm140487998668416">Post-installation procedures</a></dt><dt>4.8. <a href="install.php#idm140487998650560">Should I remove old version xyz before installing a new

one?</a></dt><dt>4.9. <a href="install.php#idm140487998647968">How do I start TDE?</a></dt><dt>4.10. <a href="install.php#idm140487998640496">starttde fails with can not connect to X

server. What is wrong?</a></dt><dt>4.11. <a href="install.php#idm140487998632448">Will I lose my current settings when I update TDE?</a></dt><dt>4.12. <a href="install.php#greyscreen">I updated TDE and all seemed to go fine, but when I start TDE,

I get a blank gray screen, and nothing happens. There are errors in

the console about DCOPserver. What's going on?</a></dt><dt>4.13. <a href="install.php#idm140487998611936">Is TDE backwards or binary compatible with KDE 3?</a></dt><dt>4.14. <a href="install.php#idm140487998608144">Is TDE backwards or binary compatible with previous releases of TDE?</a></dt><dt>4.15. <a href="install.php#idm140487998604256">Is my KDE 3 profile directory compatible with Trinity?</a></dt></dl><table border="0" summary="Q and A Set"><col align="left" width="1%"><tbody><tr class="question"><td align="left" valign="top"><a name="idm140487998838576"></a><a name="idm140487998838256"></a><b>4.1.</b></td><td align="left" valign="top"><p>To the would-be converts</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>You have heard rumors about TDE. Or you have seen screenshots.

You want test TDE. Yet you know next to nothing

about this whole alternate operating system business. Don't worry!

You only need to do some (well, maybe not some) reading, that's all!</p><p>TDE does not run on any version of Microsoft Windows. To run

TDE, you need to have a Unix-like operating system. Please refer to <a href="introduction.php#platform">Q:2.2</a> for more details.</p><p>Decide on a platform and set it up for your system. This

FAQ can not help you with this, since TDE is intended

to run on many Unix-like platforms.</p><p>To obtain TDE, please refer to <a href="getting-tde.php#where-to-get-tde">Q:3.1</a>. If

you encounter problems while installing TDE, please do not

hesitate to make use of the TDE <a href="more-info.php#mailing-lists">mailing lists</a>. No question is too silly to ask, but

remember to first look for answers in this FAQ.</p><p>Good luck and have fun!</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998761408"></a><a name="idm140487998761088"></a><b>4.2.</b></td><td align="left" valign="top"><p>What kind of hardware do I need to run TDE ?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>To run TDE consider at least a Pentium III processor, 512MB of memory, and 500MB of free disk space for a basic installation. A full installation will require about 3GB of hard drive storage space. While TDE will run on slower hardware, performance likely will require some patience. Generally, if your computer runs other desktop environments then the hardware probably is capable of running TDE.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998756832"></a><a name="idm140487998756576"></a><b>4.3.</b></td><td align="left" valign="top"><p>Available package formats</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>You can find binary and source packages for

different distributions and operating systems on the

<a href="https://wiki.trinitydesktop.org/Category:Documentation#Installing_from_a_Package_Manager" target="_top">Trinity web site</a>.

The binary packages are made by dedicated members of the TDE community.

The only official release is the source tarball

packages. Please refer to the <code class="filename">README</code>s and

<code class="filename">INSTALL</code>s in the several binaries folders.

Find the latest stable release

<a href="/releases.php" target="_top">here</a>.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998751936"></a><a name="prerequisites"></a><b>4.4.</b></td><td align="left" valign="top"><p>Prerequisites</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>You need the Qt library as provided by the TDE developers. Previous

versions of Qt will not work with the latest TDE.

Please ensure you download the correct Qt. You will

also need the header files, if you want to compile TDE

yourself. They are all available, at no cost, from the <a href="/" target="_top">TDE repository</a>.

There are optional libraries that might improve TDE if

installed on your system. An example is OpenSSL which will enable

Konqueror to browse web pages securely. These additional packages

should be provided by your distributor.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998745696"></a><a name="idm140487998745376"></a><b>4.5.</b></td><td align="left" valign="top"><p>Description of the base packages</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>The base distribution currently consists of several

packages. Some are required, while others are optional. Each package

is available in each of the aforementioned package formats.</p>
<p class="variablelist"><dl><dt>tqt3</dt><dd><p>Required</p><p>This package contains the foundational widget support needed by all

TDE applications.</p></dd><dt>tqtinterface</dt><dd><p>Required</p><p>Necessary for supporting subsequent versions of Qt.</p></dd><dt>arts</dt><dd><p>Required</p><p>The core sound system for TDE</p></dd><dt>tdelibs</dt><dd><p>Required</p><p>This package contains shared libraries that are needed by all

TDE applications.</p></dd><dt>tdebase</dt><dd><p>Required</p><p>This package contains the base applications that form the core

of the Trinity Desktop Environment like the window manager, the terminal

emulator, the control center, the file manager, and the panel.</p></dd><dt>aRts</dt><dd><p>Required</p><p>The aRts sound server. A powerful, network transparent sound

server.</p></dd><dt>tdeaddons</dt><dd><p>Optional but recommended</p><p>Various plugins for Kate, Kicker, KNewsTicker, Konqueror and Noatun </p></dd><dt>tdeartwork</dt><dd><p>Optional</p><p>Additional wallpapers, themes, styles, sounds ...</p></dd><dt>tdebindings</dt><dd><p>Optional</p><p>Various bindings for other languages, including Java, Perl, Python, ...</p></dd><dt>tdegames</dt><dd><p>Optional</p><p>Various games like KMahjongg, KSnake, KAsteroids, and

KPatience.</p></dd><dt>tdegraphics</dt><dd><p>Optional but recommended</p><p>Various graphics-related programs like PostScript previewer,

DVI previewer, and a drawing program.</p></dd><dt>tdeutils</dt><dd><p>Optional but recommended</p><p>Various desktop tools like a calculator, an editor and other

nifty stuff.</p></dd><dt>tdemultimedia</dt><dd><p>Optional but recommended</p><p>Multimedia applications like a CD player and a mixer.</p></dd><dt>tdenetwork</dt><dd><p>Optional</p><p>Network applications. Currently contains the instant messaging client Kopete, the

download manager KGet, and several other network-related programs.</p></dd><dt>tdepim</dt><dd><p>Optional but recommended</p><p>Personal information management tools. Contains the email client KMail, the newsreader KNode and other related programs.</p></dd><dt>tdeadmin</dt><dd><p>Optional but recommended</p><p>System administration programs.</p></dd><dt>tdeedu</dt><dd><p>Optional</p><p>

Educational and entertaining applications for TDE's younger users.

</p></dd><dt>tdeaccessibility</dt><dd><p>Optional but recommended</p><p>

TDE accessibility programs such as a screen magnifier and speech synthesizer front end.

</p></dd><dt>tdetoys</dt><dd><p>Optional</p><p>Toys!</p></dd><dt>tdevelop</dt><dd><p>Optional</p><p>A complete Integrated Development Environment for TDE and Qt</p></dd><dt>tdewebdev</dt><dd><p>Optional</p><p>Web development applications. Contains such applications as Quanta, an integrated web development environment and other applications useful in web development</p></dd><dt>tdesdk</dt><dd><p>Optional</p><p>TDE Software Development Kit. Contains a collection of applications and tools used by TDE Developers.</p></dd></dl><p>Information about compiling all packages is available at the

<a href="https://wiki.trinitydesktop.org/How_to_Build_TDE" target="_top">

Trinity wiki</a>.</p><p>Most package management tools will let you put all these

packages in one folder and install them all at once, figuring out

the dependencies as they go.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998671840"></a><a name="idm140487998671520"></a><b>4.6.</b></td><td align="left" valign="top"><p>Installation instructions for the different package formats</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>As TDE is intended for many Unix-like systems, please consult the installation

procedures and package management document for the system being used.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998668416"></a><a name="idm140487998668096"></a><b>4.7.</b></td><td align="left" valign="top"><p>Post-installation procedures</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>There should be nothing to do after installing the packages except use them!

Nonetheless, should problems arise, there are some common problems to consider:</p>
<p class="variablelist"><dl><dt>System search path</dt><dd><p>Be sure all TDE binary files are installed

in a location listed in your system's <code class="envar">PATH</code>.</p></dd><dt>Library files</dt><dd><p>Be sure the TDE library files are installed in the expected locations for your

system.</p></dd><dt><code class="envar">TDEDIR</code> environment variable</dt><dd><p>Be sure the <code class="envar">TDEDIR</code> environment variable is correctly set.</p></dd><dt><code class="filename">starttde</code> script installation</dt><dd><p>Verify the <code class="filename">starttde</code> script is installed to <code class="filename">$<code class="envar">TDEDIR</code>/bin</code> and therefore in your

system's search path.</p></dd><dt><code class="filename">starttde</code> script is run correctly</dt><dd><p>Be sure the <code class="filename">starttde</code> script is being run from within the appropriate

xinitrc or xsession script.</p></dd></dl><p>This should present you with a new TDE desktop. You

can now start to explore the wonderful world of TDE. In case you

want to read some documentation first, there is a recommended

"A Quick Start Guide to the Desktop"

available in the TDE Help Center. Furthermore, every application has an online

help that is available via the Help menu.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998650560"></a><a name="idm140487998650304"></a><b>4.8.</b></td><td align="left" valign="top"><p>Should I remove old version xyz before installing a new

one?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>In principle, this is not necessary. The various distro package managers

should handle all dependencies.</p><p>If you compile the source code yourself, you should take more care.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998647968"></a><a name="starttde"></a><b>4.9.</b></td><td align="left" valign="top"><p>How do I start TDE?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>There are only two methods of starting TDE: using a login

manager such as TDM or from the command line, using <strong class="command">startx</strong>.

The respective startup scripts should contain a reference to the

<code class="filename">starttde</code> script.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998640496"></a><a name="idm140487998640176"></a><b>4.10.</b></td><td align="left" valign="top"><p><strong class="command">starttde</strong> fails with can not connect to X

server. What is wrong?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>You probably tried to start TDE directly with <strong class="command">starttde</strong> rather

than letting the login manager or startx process run that script. From the command

line the X server is started with <strong class="command">startx</strong>.

<strong class="command">starttde</strong> is the

script that should be run from your <code class="filename">.xinitrc</code>, <code class="filename">.xsession</code>, or

<code class="filename">.Xclients</code> to activate the window manager and the necessary server

daemons for TDE. See also <a href="install.php#starttde">Q:4.9</a>.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998632448"></a><a name="idm140487998632128"></a><b>4.11.</b></td><td align="left" valign="top"><p>Will I lose my current settings when I update TDE?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>You shouldn't. TDE should transport your settings

intact. All settings should be safe.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="greyscreen"></a><a name="idm140487998627328"></a><b>4.12.</b></td><td align="left" valign="top"><p>I updated TDE and all seemed to go fine, but when I start TDE,

I get a blank gray screen, and nothing happens. There are errors in

the console about DCOPserver. What's going on?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>

TDE uses several temporary files during its operation.

Usually these directories and files are found in the following locations:</p>
<p class="itemizedlist"><ul type="disc"><li><p><code class="filename">$HOME/.DCOPserver-*</code> (there are usually two of these; one is a symlink to the other)</p></li><li><p><code class="filename">$HOME/.trinity/socket-<em class="replaceable"><code>hostname</code></em></code></p></li><li><p><code class="filename">$HOME/.trinity/tmp-<em class="replaceable"><code>hostname</code></em></code>, which normally is a symlink to the next file:</p></li><li><p><code class="filename">$TMP/tde-<em class="replaceable"><code>USER</code></em></code></p></li><li><p><code class="filename">$HOME/.trinity/socket-<em class="replaceable"><code>hostname</code></em></code>, which normally is a symlink to:</p></li><li><p><code class="filename">$TMP/tdesocket-<em class="replaceable"><code>USER</code></em></code></p></li></ul><p>If the symlinks get broken, such as when

<strong class="command">cron</strong> or a shutdown script is emptying the

<code class="filename">/tmp</code> folder, then strange

things will happen. These files, and the symlinks, will all be

created automatically at the start of TDE so you can safely remove

them <em>while TDE is not running</em>.</p><p>If you are only getting a gray screen when you start TDE, or if you get an error message telling you to Check your installation, then shut down X and delete all the files listed above, then try to restart X.</p><p>Normally (i.e. when not updating between TDE versions) it's

quite safe to leave these files intact, and you may shave a few

seconds off your TDE startup time by doing so.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998611936"></a><a name="idm140487998611616"></a><b>4.13.</b></td><td align="left" valign="top"><p>Is TDE backwards or binary compatible with KDE 3?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>While many programs originally designed for KDE 3 will compile on Trinity, binary

compatibility with KDE 3 is not a goal of TDE developers.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998608144"></a><a name="idm140487998607824"></a><b>4.14.</b></td><td align="left" valign="top"><p>Is TDE backwards or binary compatible with previous releases of TDE?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Possibly, but binary compatibility is not a project goal with major point

releases. A package that built on a previous version of TDE but no longer builds

on the current release should be brought to the attention of the developers.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998604256"></a><a name="idm140487998603936"></a><b>4.15.</b></td><td align="left" valign="top"><p>Is my KDE 3 profile directory compatible with Trinity?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Not quite, but don't worry. Some "scrubbing" cleanup is required to migrate

a KDE 3 profile. For new users or those with little customization we recommend

creating a fresh profile. For those long-time users who cringe at the thought

of recreating their desktop, we provide a migratekde3 shell script. That script

copies a $HOME/.kde3 profile directory to $HOME/.trinity and performs the required

"scrubbing" cleanup. Although the script has been tested we provide the tool "as is"

with no warranties or guarantees. (The script works really well, actually. :-))</p></td></tr></tbody></table><table width="100%" class="bottom-nav"><tr><td width="33%" align="left" valign="top" class="navLeft"><a href="getting-tde.php">Prev</a></td><td width="34%" align="center" valign="top" class="navCenter"><a href="index.php">Home</a></td><td width="33%" align="right" valign="top" class="navRight"><a href="panel.php">Next</a></td></tr><tr><td width="33%" align="left" class="navLeft">Getting TDE</td><td width="34%" align="center" class="navCenter"><a href="index.php">Up</a></td><td width="33%" align="right" class="navRight">The panel</td></tr></table>
<?php
    doFooter();
?>

