<?php
    include("../tde-head-and-foot.php");
    doHeader("Miscellaneous questions", "Documentation", "FAQ", "../");
?>
<STYLE>
    .question {font-weight:bold;}
    TD {padding-top:10px}
</STYLE>
<table width="100%" class="header"><tbody><tr><td align="left" class="navLeft" width="33%"><a accesskey="p" href="tips.php">Prev</a></td><td align="center" class="navCenter" width="34%"></td><td align="right" class="navRight" width="33%">

		      <a accesskey="n" href="licensing.php">Next</a></td></tr></tbody></table>
<p class="chapter" lang="en">
<p class="titlepage">
<p>
<p><h2 class="title"><a name="misc"></a>Chapter 15. Miscellaneous questions</h2>
<p class="qandaset"><dl><dt>15.1. <a href="misc.php#idm140487997282048">Does TDE support transparency and other visual effects provided by the new composite extension to X.org?</a></dt><dt>15.2. <a href="misc.php#idm140487997231328">What about TDE programs that do not have icons? How do I get

them into the menu?</a></dt><dt>15.3. <a href="misc.php#idm140487997226480">Does TDE have a graphical FTP client?</a></dt><dt>15.4. <a href="misc.php#idm140487997222544">How do I exit TDE?</a></dt><dt>15.5. <a href="misc.php#idm140487997211120">Is there a program that checks for new mails at my

ISP if and only if I am online?</a></dt><dt>15.6. <a href="misc.php#idm140487997208624">Is it really necessary to update to the latest version?</a></dt><dt>15.7. <a href="misc.php#idm140487997204448">How do I copy and paste in TDE?</a></dt><dt>15.8. <a href="misc.php#idm140487997189808">How do I convert the default Red Hat menus into a menu in the

TDE menu?</a></dt><dt>15.9. <a href="misc.php#idm140487997184672">What is GIT?</a></dt><dt>15.10. <a href="misc.php#idm140487997180768">Does TDE support dual screen (Xinerama)?</a></dt><dt>15.11. <a href="misc.php#idm140487997177328">How do I check which version of TDE I am using?</a></dt><dt>15.12. <a href="misc.php#idm140487997173936">How do I learn about development updates?</a></dt><dt>15.13. <a href="misc.php#idm140487997168816">Is there a release schedule?</a></dt><dt>15.14. <a href="misc.php#idm140487997166320">Are there plans to support semantic desktops?</a></dt><dt>15.15. <a href="misc.php#idm140487997163888">Are there plans to support tablet-like or special netbook desktop modes?</a></dt><dt>15.16. <a href="misc.php#idm140487997161344">How do the developers propose to transition away from HAL (hardware abstraction layer)?</a></dt></dl><table border="0" summary="Q and A Set"><col align="left" width="1%"><tbody><tr class="question"><td align="left" valign="top"><a name="idm140487997282048"></a><a name="idm140487997281728"></a><b>15.1.</b></td><td align="left" valign="top"><p>Does TDE support transparency and other visual effects provided by the new composite extension to X.org?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Yes. TDE supports for the X composite extension and provides its own compositor. This allows for effects such as translucency and drop shadows for all windows, easily configurable through TWin's configuration dialog. For those using an xorg.conf file, be sure the following is included:



<pre class="screen">

Section "Extensions"

Option  "Composite" "Enable"

EndSection

</pre>







After correctly configuring xorg.conf, transparency and other effects can be enabled through the Desktop-&gt;Window Behavior KDE Control Center module, under the Translucency tab.

</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997231328"></a><a name="idm140487997231008"></a><b>15.2.</b></td><td align="left" valign="top"><p>What about TDE programs that do not have icons? How do I get

them into the menu?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Use KMenuEdit. To access it use the right mouse button on the

T button and select Menu Editor.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997226480"></a><a name="idm140487997226160"></a><b>15.3.</b></td><td align="left" valign="top"><p>Does TDE have a graphical FTP client?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Yes, and it is none other than your favorite file

manager, Konqueror. You can drag and drop remote files into local

folders.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997222544"></a><a name="idm140487997222224"></a><b>15.4.</b></td><td align="left" valign="top"><p>How do I exit TDE?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>On the panel (kicker) use the left mouse button to select the T

button and select Log Out.... Another method is to use the right mouse button

to select an empty area of the desktop, which opens a popup menu,

containing Log Out... as one of the options.

Another option is to use a keyboard shortcut, which on many systems is

<strong class="keycap">Ctrl</strong>+<strong class="keycap">Alt</strong>+<strong class="keycap">Delete</strong>.

A fourth option is to add the Lock/Logout button applet.


<p class="note" ><h3 class="title">Note</h3><p>Depending on your configuration of the X Window System, <strong class="keycap">Ctrl</strong>+<strong class="keycap">Alt</strong>+<strong class="keycap">Backspace</strong>

might also exit TDE by killing the X server, but using that shortcut prevents

session management and is recommended only for emergencies.</p></p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997211120"></a><a name="idm140487997210800"></a><b>15.5.</b></td><td align="left" valign="top"><p>Is there a program that checks for new mails at my

ISP if and only if I am online?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>KOrn will do the job. If you are not

connected, it will just sit there (idling).</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997208624"></a><a name="idm140487997208304"></a><b>15.6.</b></td><td align="left" valign="top"><p>Is it really necessary to update to the latest version?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>We recommend updating to the latest stable release, or at least to stay within

a release version. Otherwise, getting answers to questions might be challenging.

Each release always contains bug fixes and enhancements. Often a problem with an old version

has been fixed in a more recent release. Newer versions also fix security problems. Only seldom are bug and security fixes backported to older releases.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997204448"></a><a name="idm140487997204128"></a><b>15.7.</b></td><td align="left" valign="top"><p>How do I copy and paste in TDE?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>The simplest method is to use your mouse:</p>
<p class="procedure"><ol type="1"><li><p>Highlight the text you want to copy by holding down the

left mouse button and dragging across the text. This adds the selected text to the clipboard.</p></li><li><p>Go to the destination area; depending on your configuration,

you might need to click it using the left mouse button to give it

focus.</p></li><li><p>Click the middle mouse button to paste. If you have a two

button mouse and are emulating a three button mouse, push both buttons

simultaneously.</p></li></ol><p>The standard keyboard shortcuts for copying is <strong class="keycap">Ctrl</strong>+<strong class="keycap">C</strong>, to cut is <strong class="keycap">Ctrl</strong>+<strong class="keycap">X</strong>, and to paste is <strong class="keycap">Ctrl</strong>+<strong class="keycap">V</strong>.</p><p>TDE provides a multiple layer clipboard called Klipper. Refer to the Klipper Handbook for further information.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997189808"></a><a name="idm140487997189488"></a><b>15.8.</b></td><td align="left" valign="top"><p>How do I convert the default Red Hat menus into a menu in the

TDE menu?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Click on the T button and select

System-&gt;Appfinder.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997184672"></a><a name="GIT"></a><b>15.9.</b></td><td align="left" valign="top"><p>What is GIT?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>GIT is a distributed version control and source code management system.

GIT is used to maintain source code under development. The TDE developers use GIT.

</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997180768"></a><a name="idm140487997180448"></a><b>15.10.</b></td><td align="left" valign="top"><p>Does TDE support dual screen (Xinerama)?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Yes, you need to have a multi-headed X server.

</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997177328"></a><a name="idm140487997177072"></a><b>15.11.</b></td><td align="left" valign="top"><p>How do I check which version of TDE I am using?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Start any Trinity app. Each app has a Help menu providing

related information in the About dialog.

</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997173936"></a><a name="idm140487997173088"></a><b>15.12.</b></td><td align="left" valign="top"><p>How do I learn about development updates?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>You might want to subscribe to the

<a href="/mailinglist.php" target="_top">

TDE developer's mail list</a>.

Refer to <a href="https://mail.trinitydesktop.org/mailman3/hyperkitty/list/devels@trinitydesktop.org/" target="_top">https://mail.trinitydesktop.org/mailman3/hyperkitty/list/devels@trinitydesktop.org/</a>

if you want to read without subscribing.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997168816"></a><a name="idm140487997168496"></a><b>15.13.</b></td><td align="left" valign="top"><p>Is there a release schedule?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>The Trinity developers strive for a six to nine month schedule but that is not rigid or set in stone.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997166320"></a><a name="idm140487997166000"></a><b>15.14.</b></td><td align="left" valign="top"><p>Are there plans to support semantic desktops?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Not at this time.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997163888"></a><a name="idm140487997163568"></a><b>15.15.</b></td><td align="left" valign="top"><p>Are there plans to support tablet-like or special netbook desktop modes?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>No. The TDE team suggests a tablet-centric interface such as Unity, KDE4, or GNOME 3 for those devices.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997161344"></a><a name="idm140487997161024"></a><b>15.16.</b></td><td align="left" valign="top"><p>How do the developers propose to transition away from HAL (hardware abstraction layer)?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>The Trinity team developed a new native hardware support layer that is under testing.

That new system will be enabled by default in a future release, but is available now

in the development sources.</p></td></tr></tbody></table><table width="100%" class="bottom-nav"><tr><td width="33%" align="left" valign="top" class="navLeft"><a href="tips.php">Prev</a></td><td width="34%" align="center" valign="top" class="navCenter"><a href="index.php">Home</a></td><td width="33%" align="right" valign="top" class="navRight"><a href="licensing.php">Next</a></td></tr><tr><td width="33%" align="left" class="navLeft">Useful tips</td><td width="34%" align="center" class="navCenter"><a href="index.php">Up</a></td><td width="33%" align="right" class="navRight">Qt and Licensing questions</td></tr></table>
<?php
    doFooter();
?>

