<?php
    include("../tde-head-and-foot.php");
    doHeader("Troubleshooting sound problems", "Documentation", "FAQ", "../");
?>
<STYLE>
    .question {font-weight:bold;}
    TD {padding-top:10px}
</STYLE>
<table width="100%" class="header"><tbody><tr><td align="left" class="navLeft" width="33%"><a accesskey="p" href="applications.php">Prev</a></td><td align="center" class="navCenter" width="34%"></td><td align="right" class="navRight" width="33%">

		      <a accesskey="n" href="non-tde-apps.php">Next</a></td></tr></tbody></table>
<p class="chapter" lang="en">
<p class="titlepage">
<p>
<p><h2 class="title"><a name="sound"></a>Chapter 12. Troubleshooting sound problems</h2><p>TDE uses the aRts sound system which is complex and powerful,

making it difficult for some users to troubleshoot when things go

wrong. Here are some tips to help you diagnose what it's doing when your

sound misbehaves :</p>
<p class="qandaset"><dl><dt>12.1. <a href="sound.php#idm140487997483664">How can I troubleshoot sound related problems in TDE?</a></dt><dt>12.2. <a href="sound.php#idm140487997424576">

I've updated to the latest version of TDE keeping my previous configuration and my system sounds don't work anymore!</a></dt></dl><table border="0" summary="Q and A Set"><col align="left" width="1%"><tbody><tr class="question"><td align="left" valign="top"><a name="idm140487997483664"></a><a name="idm140487997483344"></a><b>12.1.</b></td><td align="left" valign="top"><p>How can I troubleshoot sound related problems in TDE?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p> To check that sound is working independently of aRts, make

sure that <strong class="command">artsd</strong> isn't running and then try playing sound

through XMMS or another multimedia application

that isn't a part of TDE. If that application doesn't play sound, then

your general sound setup is probably broken and it's not a TDE

problem.</p><p>Try playing sound with

<strong class="userinput"><code><strong class="command">artsplay</strong><code class="option"><em class="replaceable"><code>

/path/to/some/soundfile</code></em></code></code></strong>. Try various

formats, ogg, mp3 and wav. Any error messages there might be useful in

pointing you in the right direction.</p><p>Try setting the aRts output method to OSS. In the

KDE Control Center go to Sound &amp; Multimedia-&gt;Sound System. On the

Hardware tab, under Select the audio

device choose Open Sound System. If you are

running alsa this will use the OSS

emulation, which may give better or worse results.</p><p>Running <strong class="userinput"><code><strong class="command">artsd</strong><code class="option"> -l

0</code></code></strong> from a terminal will give you a lot of debug output,

some of which might help you to diagnose the problem. Trying this in

conjunction with using <strong class="command">artsplay</strong> in a second terminal can give a wealth of information. If an artsd instance is already running, exit it with <strong class="userinput"><code><strong class="command">artsshell

</strong><em class="parameter"><code>terminate</code></em></code></strong></p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997424576"></a><a name="idm140487997424256"></a><b>12.2.</b></td><td align="left" valign="top"><p>

I've updated to the latest version of TDE keeping my previous configuration and my system sounds don't work anymore!</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>

Assuming you've installed aRts correctly and you still have the codecs installed your previous TDE installation needed, possibly there is a problem with your <code class="filename">knotifyrc</code>. To confirm this, try temporarily

renaming the file. A new one will be created when starting TDE.

</p></td></tr></tbody></table><table width="100%" class="bottom-nav"><tr><td width="33%" align="left" valign="top" class="navLeft"><a href="applications.php">Prev</a></td><td width="34%" align="center" valign="top" class="navCenter"><a href="index.php">Home</a></td><td width="33%" align="right" valign="top" class="navRight"><a href="non-tde-apps.php">Next</a></td></tr><tr><td width="33%" align="left" class="navLeft">TDE applications</td><td width="34%" align="center" class="navCenter"><a href="index.php">Up</a></td><td width="33%" align="right" class="navRight">TDE with non-TDE applications</td></tr></table>
<?php
    doFooter();
?>

