<?php
    include("../tde-head-and-foot.php");
    doHeader("Webbrowsing with Konqueror", "Documentation", "FAQ", "../");
?>
<STYLE>
    .question {font-weight:bold;}
    TD {padding-top:10px}
</STYLE>
<table width="100%" class="header"><tbody><tr><td align="left" class="navLeft" width="33%"><a accesskey="p" href="filemanager.php">Prev</a></td><td align="center" class="navCenter" width="34%"></td><td align="right" class="navRight" width="33%">

		      <a accesskey="n" href="configure.php">Next</a></td></tr></tbody></table>
<p class="chapter" lang="en">
<p class="titlepage">
<p>
<p><h2 class="title"><a name="webbrowser"></a>Chapter 9. Webbrowsing with Konqueror</h2><p>Konqueror is TDE's default web browser. Please refer to

Konqueror Handbook for detailed information.</p>
<p class="qandaset"><dl><dt>9.1. <a href="webbrowser.php#idm140487998053904">Where does the name Konqueror come from?</a></dt><dt>9.2. <a href="webbrowser.php#idm140487998008672">Can I run Konqueror without running TDE?</a></dt><dt>9.3. <a href="webbrowser.php#idm140487998001952">Why doesn't Konqueror show the contents of an image's ALT attribute in a tooltip?</a></dt><dt>9.4. <a href="webbrowser.php#idm140487997995056">How do I use Konqueror as a web browser with a proxy?</a></dt><dt>9.5. <a href="webbrowser.php#idm140487997987568">How do I import bookmarks from another browser into Konqueror ?</a></dt><dt>9.6. <a href="webbrowser.php#idm140487997980864">How can I make Konqueror only show certain bookmarks in the bookmarks toolbar?</a></dt><dt>9.7. <a href="webbrowser.php#idm140487997972544">How do I fool a site into believing Konqueror is Netscape or

some other browser?</a></dt><dt>9.8. <a href="webbrowser.php#idm140487997965776">Konqueror is taking a really long time to load web pages  -- mdash; what

could cause this?</a></dt><dt>9.9. <a href="webbrowser.php#idm140487997960464">How do I configure Konqueror to run Java applets?</a></dt><dt>9.10. <a href="webbrowser.php#idm140487997954048">How do I block unrequested popup windows in Konqueror?</a></dt><dt>9.11. <a href="webbrowser.php#idm140487997946464">Why doesn't my banking site work with Konqueror? It pops up a new

window with the login screen in other browsers, but not in

Konqueror.</a></dt><dt>9.12. <a href="webbrowser.php#idm140487997940960">Can Konqueror use user-specified stylesheets, like those in the

Firefox adblock extension?</a></dt><dt>9.13. <a href="webbrowser.php#idm140487997933552">

Why does Konqueror display a plain grey square when I try to view flash animations, even though the flash plugin is installed?

</a></dt><dt>9.14. <a href="webbrowser.php#idm140487997930384">When I try to open a web page with Konqueror, I get the

message: There appears to be a configuration error. You have

associated Konqueror with text/html, but it cannot handle this file

type.</a></dt></dl><table border="0" summary="Q and A Set"><col align="left" width="1%"><tbody><tr class="question"><td align="left" valign="top"><a name="idm140487998053904"></a><a name="idm140487998010848"></a><b>9.1.</b></td><td align="left" valign="top"><p>Where does the name Konqueror come from?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>It's a word play on the other browsers' names. After the Navigator

and the Explorer comes the Conqueror.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998008672"></a><a name="idm140487998008352"></a><b>9.2.</b></td><td align="left" valign="top"><p>Can I run Konqueror without running TDE?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Yes. Install Qt, tdelibs, and tdebase. From your window manager launch Konqueror. It should work just fine, but if it doesn't (TDE developers don't often test that use case), report the problem to <a href="http://bugs.pearsoncomputing.net/" target="_top">http://bugs.pearsoncomputing.net/</a>. Before reporting a bug, try running "tdeinit" before running Konqueror. This is of course the same for any other TDE application running in

a non TDE setup.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998001952"></a><a name="idm140487998001632"></a><b>9.3.</b></td><td align="left" valign="top"><p>Why doesn't Konqueror show the contents of an image's <code class="sgmltag-attribute">ALT</code> attribute in a tooltip?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>

There is no standard that states the <code class="sgmltag-attribute">ALT</code> attribute should appear as a tooltip. The specification calls for <code class="sgmltag-attribute">ALT</code> to be displayed in place of the image, as in text-mode only browsers such at lynx or w3m. Abusing the <code class="sgmltag-attribute">ALT</code> attribute is bad for accessibility. Tooltips are supposed to come from the <code class="sgmltag-attribute">TITLE</code> attribute and this is implemented in Konqueror.

</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997995056"></a><a name="idm140487997994736"></a><b>9.4.</b></td><td align="left" valign="top"><p>How do I use Konqueror as a web browser with a proxy?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Konqueror can be used with HTTP and FTP proxies. To set

up the proxy server in Konqueror, select

Settings-&gt;Configure

Konqueror... from the Konqueror menu and

select the Proxy option.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997987568"></a><a name="nsbookmark"></a><b>9.5.</b></td><td align="left" valign="top"><p>How do I import bookmarks from another browser into Konqueror ?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>To import bookmarks from another browser into Konqueror, from the menu

bar select Bookmarks, then select Edit Bookmarks.

In the Bookmark Editor, select

File then select Import. Select

the browser from which you would like to import bookmarks. In the Open dialog,

navigate to the location of the folder or file your bookmarks are

located.

</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997980864"></a><a name="idm140487997980544"></a><b>9.6.</b></td><td align="left" valign="top"><p>How can I make Konqueror only show certain bookmarks in the bookmarks toolbar?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>In Konqueror select Settings-&gt;Configure

Konqueror.... Then select Web Behaviour from the icon list. Under the Bookmarks heading, place a check in the box next to Show only marked bookmarks in bookmark toolbar.</p><p>In the Bookmark Editor an option to Show in Toolbar appears on clicking with the right mouse button on any bookmark entry or in the Edit menu when the entry is highlighted. Folders can also be shown in the bookmarks toolbar in much the same way.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997972544"></a><a name="idm140487997972224"></a><b>9.7.</b></td><td align="left" valign="top"><p>How do I fool a site into believing Konqueror is Netscape or

some other browser?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>That is called setting the user agent. In Konqueror, select

Settings-&gt;Configure

Konqueror.... In the icon list, select

Browser Identification. Default

and site-specific browser identifications can be set there.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997965776"></a><a name="idm140487997965456"></a><b>9.8.</b></td><td align="left" valign="top"><p>Konqueror is taking a really long time to load web pages  -- mdash; what

could cause this?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Quite often Konqueror loading web pages slowly is caused by

DNS servers with broken IPV6

support. Adding the following to <code class="filename">/etc/profile</code> or any

other script that is sourced on login should solve this problem:

<pre class="screen">

export TDE_NO_IPV6=true

</pre>

for bourne compatible shells, and for C-style shells:

<pre class="screen">

setenv TDE_NO_IPV6 true

</pre>

</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997960464"></a><a name="idm140487997960144"></a><b>9.9.</b></td><td align="left" valign="top"><p>How do I configure Konqueror to run Java applets?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>From Konqueror's menubar choose

Settings-&gt;Configure

Konqueror....

From the icon list select Java &amp; Javascript. Set the

Path to Java executable.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997954048"></a><a name="idm140487997953728"></a><b>9.10.</b></td><td align="left" valign="top"><p>How do I block unrequested popup windows in Konqueror?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Konqueror provides a 'smart' policy for JavaScript popups. From the

Konqueror main window, selectSettings-&gt;Configure

Konqueror.... Then

Java &amp; JavaScript. On the

JavaScript tab, under Global JavaScript

Policies, set the radio button beside Open new

windows: to Smart.

</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997946464"></a><a name="idm140487997946144"></a><b>9.11.</b></td><td align="left" valign="top"><p>Why doesn't my banking site work with Konqueror? It pops up a new

window with the login screen in other browsers, but not in

Konqueror.</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>

Make sure you have Javascript enabled, and the default JavaScript web popups

policy set to Ask or Allow. The

Smart policy is not always sufficient for some banks.

Many banks also require Java support.

</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997940960"></a><a name="idm140487997940640"></a><b>9.12.</b></td><td align="left" valign="top"><p>Can Konqueror use user-specified stylesheets, like those in the

Firefox adblock extension?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Yes, you can set Konqueror to use any kind of valid

css stylesheet to filter webcontent or improve accessibility.

From the Konqueror main window simply click

Settings-&gt;Configure

Konqueror... and select

Stylesheets. Set the radio button to

Use user-defined stylesheet and browse to where the

stylesheet you want to use is located. Alternately, select

Use accessibility stylesheet defined in "Customize"

tab and then set your own options.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997933552"></a><a name="idm140487997933232"></a><b>9.13.</b></td><td align="left" valign="top"><p>

Why does Konqueror display a plain grey square when I try to view flash animations, even though the flash plugin is installed?

</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>

Under the latest versions of X.org, having the composite extension loaded can cause problems with the flash plugin. Try disabling the composite extension and see whether normal flash operation is restored.

</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487997930384"></a><a name="idm140487997930128"></a><b>9.14.</b></td><td align="left" valign="top"><p>When I try to open a web page with Konqueror, I get the

message: There appears to be a configuration error. You have

associated Konqueror with text/html, but it cannot handle this file

type.</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Make sure the embedding settings for the text/html

MIME type are correct:


<p class="orderedlist"><ol type="1"><li><p>In Konqueror, go to

Settings-&gt;Configure

Konqueror.... In the icon list select File

Associations.</p></li><li><p>Open

text-&gt;html in the tree view.</p></li><li><p>Click on the

Embedding tab. Make sure that Left Click

Action is set to Show file in embedded

viewer, and that TDEHTML (tdehtml) is at the top

of Services Preference Order.</p></li></ol>

</p></td></tr></tbody></table><table width="100%" class="bottom-nav"><tr><td width="33%" align="left" valign="top" class="navLeft"><a href="filemanager.php">Prev</a></td><td width="34%" align="center" valign="top" class="navCenter"><a href="index.php">Home</a></td><td width="33%" align="right" valign="top" class="navRight"><a href="configure.php">Next</a></td></tr><tr><td width="33%" align="left" class="navLeft">The File Manager</td><td width="34%" align="center" class="navCenter"><a href="index.php">Up</a></td><td width="33%" align="right" class="navRight">Configuring TDE</td></tr></table>
<?php
    doFooter();
?>

