<?php
    include("../tde-head-and-foot.php");
    doHeader("The window manager", "Documentation", "FAQ", "../");
?>
<STYLE>
    .question {font-weight:bold;}
    TD {padding-top:10px}
</STYLE>
<table width="100%" class="header"><tbody><tr><td align="left" class="navLeft" width="33%"><a accesskey="p" href="desktop.php">Prev</a></td><td align="center" class="navCenter" width="34%"></td><td align="right" class="navRight" width="33%">

		      <a accesskey="n" href="filemanager.php">Next</a></td></tr></tbody></table>
<p class="chapter" lang="en">
<p class="titlepage">
<p>
<p><h2 class="title"><a name="windowmanager"></a>Chapter 7. The window manager</h2><p>The default window manager provided by TDE is the Trinity Window

Manager (TWin). Please refer to 

"Windows, How To Work Them" in the Trinity user guide for more information.</p>
<p class="qandaset"><dl><dt>7.1. <a href="windowmanager.php#idm140487998247152">Are there keyboard shortcuts for TWin operations?</a></dt><dt>7.2. <a href="windowmanager.php#idm140487998242912">Can I define my own set of keyboard shortcuts?</a></dt><dt>7.3. <a href="windowmanager.php#idm140487998238000">When I "iconify" a window, it disappears. Where does it

go?</a></dt><dt>7.4. <a href="windowmanager.php#idm140487998228224">How do I maximize windows only vertically or horizontally?</a></dt><dt>7.5. <a href="windowmanager.php#idm140487998222144">What is shading a window?</a></dt><dt>7.6. <a href="windowmanager.php#idm140487998218432">How can I start an application with special window options, like

maximized/minimized/to stay on top?</a></dt></dl><table border="0" summary="Q and A Set"><col align="left" width="1%"><tbody><tr class="question"><td align="left" valign="top"><a name="idm140487998247152"></a><a name="idm140487998246896"></a><b>7.1.</b></td><td align="left" valign="top"><p>Are there keyboard shortcuts for TWin operations?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Yes. Please use to the Trinity Control Center (KControl),

Regional &amp; Accessibility-&gt;

Keyboard Shortcuts, for the

list of available shortcuts.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998242912"></a><a name="idm140487998242592"></a><b>7.2.</b></td><td align="left" valign="top"><p>Can I define my own set of keyboard shortcuts?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Yes. Launch the

TDE Control Center and select

Regional &amp; Accessibility-&gt;Keyboard Shortcuts to

configure window manager bindings like maximizing windows, etc..

</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998238000"></a><a name="idm140487998237712"></a><b>7.3.</b></td><td align="left" valign="top"><p>When I "iconify" a window, it disappears. Where does it

go?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>With many X Window System GUIs, the minimize button (a little dot) will

erase the window that the program is running in and create, instead,

an icon on the desktop. TDE does not do this. Instead, when a

window is iconified it is simply hidden (but the program is still

running).</p><p>There are a few ways to access disappeared windows:</p>
<p class="itemizedlist"><ul type="disc"><li><p>If you are running the taskbar part of Kicker,

you can choose to have a list of tasks displayed on your desktop.

Iconified tasks will have their names displayed in gray.</p></li><li><p>If you click the middle mouse button on the root window (i.e.,

the background of the desktop), TWin will give you a list

of all available tasks.</p></li></ul></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998228224"></a><a name="idm140487998227904"></a><b>7.4.</b></td><td align="left" valign="top"><p>How do I maximize windows only vertically or horizontally?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Provided your window is not already maximized, clicking on the

maximize button with the left mouse button/middle mouse button/right mouse button will

maximize fully/vertically/horizontally respectively.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998222144"></a><a name="idm140487998221888"></a><b>7.5.</b></td><td align="left" valign="top"><p>What is shading a window?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>By shading a window we mean rolling up the window leaving just

the title bar visible. You can do this by double clicking on the

window title bar.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487998218432"></a><a name="idm140487998218176"></a><b>7.6.</b></td><td align="left" valign="top"><p>How can I start an application with special window options, like

maximized/minimized/to stay on top?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Use the <strong class="command">kstart</strong> command. As an example, to

open KCalc with the Stay on Top option, use:

<pre class="screen"><code class="prompt">%</code> <strong class="userinput"><code><strong class="command">kstart</strong> <code class="option">--ontop</code> <code class="option">kcalc</code></code></strong></pre>

</p><p>For maximized windows, use the <code class="option">--maximize</code>

option, for minimized windows, use <code class="option">--iconify</code>. You can

see a full list of <strong class="command">kstart</strong> options with

<strong class="userinput"><code><strong class="command">kstart</strong>

<code class="option">--help-all</code></code></strong>.</p>
<p class="warning" ><h3 class="title">Warning</h3><p>If you're using <strong class="command">kstart</strong> to start

applications at TDE startup, you should use the

<code class="option">--window</code> option. See the TDE User Guide, section

Advanced Window Management for more information about

this feature.</p></td></tr></tbody></table><table width="100%" class="bottom-nav"><tr><td width="33%" align="left" valign="top" class="navLeft"><a href="desktop.php">Prev</a></td><td width="34%" align="center" valign="top" class="navCenter"><a href="index.php">Home</a></td><td width="33%" align="right" valign="top" class="navRight"><a href="filemanager.php">Next</a></td></tr><tr><td width="33%" align="left" class="navLeft">The desktop</td><td width="34%" align="center" class="navCenter"><a href="index.php">Up</a></td><td width="33%" align="right" class="navRight">The File Manager</td></tr></table>
<?php
    doFooter();
?>

