<?php
	// (c) 2014-2020 Trinity Desktop Project
	// All Rights Reserved
	// Authors: Elizabeth Liddell, Timothy Pearson, and Calvin Morrison

	include("tde-head-and-foot.php");
	doHeader("Trinity Mailing Lists", "Support", "Mailing Lists");
?>

<p><strong>Trinity general discussion: tde-users</strong><br>
	To send a message to the list, send it to <a href="mailto:users@trinitydesktop.org">users@trinitydesktop.org</a><br>
	To subscribe, send an empty Email to <a href="mailto:users-join@trinitydesktop.org">users-join@trinitydesktop.org</a><br>
	To unsubscribe, send an empty Email to <a href="mailto:users-leave@trinitydesktop.org">users-leave@trinitydesktop.org</a><br>
	Web archive: <a href="https://mail.trinitydesktop.org/mailman3/hyperkitty/list/users@trinitydesktop.org">https://mail.trinitydesktop.org/mailman3/hyperkitty/list/users@trinitydesktop.org</a>
</p>
<p><strong>Trinity project announcements: tde-announcements</strong><br>
	To subscribe, send an empty Email to <a href="mailto:announcements-join@trinitydesktop.org">announcements-join@trinitydesktop.org</a><br>
	To unsubscribe, send an empty Email to <a href="mailto:announcements-leave@trinitydesktop.org">announcements-leave@trinitydesktop.org</a><br>
	Web Archive: <a href="https://mail.trinitydesktop.org/mailman3/hyperkitty/list/announcements@trinitydesktop.org">https://mail.trinitydesktop.org/mailman3/hyperkitty/list/announcements@trinitydesktop.org</a>
</p>
<p><strong>Trinity developers list: tde-devels</strong><br>
	To send a message to the list, send it to <a href="mailto:devels@trinitydesktop.org">devels@trinitydesktop.org</a><br>
	To subscribe, send an empty Email to <a href="mailto:devels-join@trinitydesktop.org">devels-join@trinitydesktop.org</a><br>
	To unsubscribe, send an empty Email to <a href="mailto:devels-leave@trinitydesktop.org">devels-leave@trinitydesktop.org</a><br>
	Web archive: <a href="https://mail.trinitydesktop.org/mailman3/hyperkitty/list/devels@trinitydesktop.org">https://mail.trinitydesktop.org/mailman3/hyperkitty/list/devels@trinitydesktop.org</a>
</p>
	<p><strong>Trinity automated commit notification list: tde-commits</strong><br>
	To subscribe, send an empty Email to <a href="mailto:commits-join@trinitydesktop.org">commits-join@trinitydesktop.org</a><br>
	To unsubscribe, send an empty Email to <a href="mailto:commits-leave@trinitydesktop.org">commits-leave@trinitydesktop.org</a><br>
</p>

<a name="top-posting">
<h3>Mailing List Etiquette</h3>
</a>
<p>When you reply to a message on these lists, please avoid top-posting as in this example:</p>
<pre>
    <code>
        HAL has been deprecated in newer kernel releases, so 
        it should be deprecated in Trinity as well.

        Tim

        -----Original Message-----
        From: Curious [mailto:curious@example.com]
        Sent: Tuesday, January 6, 2010 2:54 AM
        To: devels@trinitydesktop.org
        Cc: Tim
        Subject: Re: HAL usage

        Should HAL be used in upcoming Trinity releases instead 
        of the newer udev/upower interface?

        This might be easier than a full rewrite of HAL-dependent 
        code.

        Sincerely,

        I. M. Curious
    </code>
</pre>

<p>Instead, please add your reply to the <strong>bottom</strong> of the original thread, or interleave your response 
    with snippets of the original message.
<P>This is an example of why top posting is considered impolite (as seen on linux-kernel):</p>
<pre>
    <code>
        A: Because it messes up the order in which people normally 
            read text.
        Q: Why is top-posting such a bad thing?
        A: Top-posting.
        Q: What is the most annoying thing in e-mail?
    </code>
</pre>

<?php
	doFooter();
?>
